%
% ivs.sty  V 1.05  20-NOV-2000 10:37:35
%
\typeout{Document Style from ivs.sty `ivs style version 1.06' <2001.03.07>}
%
%  ivs.sty was created by L. Petrov
%
%  Send comments and bug reports to lpetrov@ivscc.gsfc.nasa.gov
%
%*******************************************************************
%*                                                                 *
%*  This is the release of Version 1.04, following development     *
%*  of earlier versions.                                           *
%*                                                                 *
%*******************************************************************
%
%  NEW COMMANDS:
%  ~~~~~~~~~~~~~
%
%  \PublicationName{NAME}   -- Publication name.
%                              Example:
%                                  \PublicationName{IVS Annual report, 1999}
%
%  \PublicationType{TYPE}   -- publication type. One of the list:
%                              report, proceedings
%                              Example: \PublicationType{report}
%
%  \PaperSize{CODE}         -- Optional command: paper size. One of the list:
%                              A4 or Letter. Default is Letter, used when 
%                              this command is omitted.
%
%  \IvsComponentName{NAME}  -- name of your IVS component
%                              Examples: \IvsComponentName{Matera} or
%                                 \IvsComponentName{Onsala Analysis Center}
%
%  \Title{NAME}             -- Title of the presentation. Words may stay in
%                              upper or lower case.
%                              Example: \Title{First geodetic observations
%                                              using Mark-VII VLBI system}
%
%  \STitle{NAME}            -- Shortened version of the title of the 
%                              presentation, used for page headers. 
%                              Should not contain more than 30 characters.
%                              Example: \STitle{First Mark-VII observations}
%
%  \NumberofAuthors{NUMBER} -- number of the authors of the presentation whose
%                              names will be listed.
%                              Example: \NumberofAuthors{2}
%
%  \AuthorName{NUMBER}{NAME} -- name of the NUMBER-th author. Name is in the
%                               format: F. Last
%                               Example: \AuthorName{1}{R. Smith}
%                               Example: \AuthorName{87}{Z. Li-Huan}
%
%  \AuthorEmail{NUMBER}{NAME} -- e-mail address of the NUMBER-th author. Empty
%                                argument should be used if the author doesn't
%                                have e-mail address.
%                                Example: \AuthorEmail{4}{smith@astro.edu}
%                                Example: \AuthorEmail{1}{}
%
%  \AuthorTelephone{NUMBER}{NAME} -- telephone number(s) of the NUMBER-th
%                                 author. Empty argument should be used if the
%                                 author doesn't have telephone. Country code
%                                 and area code should be present. More than
%                                 one telephone number may be specified. Either
%                                 office telephone or private telephone number
%                                 or both may be specified.
%                                 Example: \AuthorTelephone{1}{}
%                                 Example:
%                                   \AuthorTelephone{6}{+49-9941-603-104
%                                       (office), +49-9941-603-314 (TIGO-VLBI)}
%
%  \AuthorPersonalWebPage{NUMBER}{NAME} -- URL of personal Web page of the
%                                 NUMBER-th author. Empty argument should be
%                                 used if the author doesn't have a personal
%                                 Web page.
%                                 Example: \AuthorPersonalWebPage{3}{}
%                                 Example: \AuthorPersonalWebPage{5}
%                                   {http://www.astro.org/~smith/index.html}
%
%  \AuthorInstitutionReference{NUMBER}{REF} -- REF is the index of the 
%                                 institution in the institution list for the 
%                                 NUMBER-th author.
%                                 Examples:
%                                   \AuthorInstitutionReference{1}{1}
%                                      (for author 1 at institution 1)
%                                   \AuthorInstitutionReference{2}{1}
%                                      (for author 2 at institution 1)
%                                   \AuthorInstitutionReference{3}{2}
%                                      (for author 3 at institution 2)
%
%  \ContactAuthorReference{NUMBER}   -- index of the author in the author list
%                                    who is considered as the contact author.
%                                    The name and e-mail address of the
%                                    contact author are printed below the
%                                    institution line. Value of 0 suppress 
%                                    printing the name and e-mail of the 
%                                    contact author.
%                                 Example:
%                                   \ContactAuthorReference{2}
%                                   \ContactAuthorReference{0}
%
%
%  \NumberofInstitutions{NUMBER) -- the number of institutions with which 
%                              authors of the presentation are affiliated.
%                              Example: \NumberofInstitutions{1}
%
%  \InstitutionName{NUMBER}{NAME} -- Full name of the NUMBER-th Institution.
%                               No abbreviations please.
%                               Example: \InstitutionName{1}{Astronomical
%                                     Institute of the Underground Observatory}
%                               Example: \InstitutionName{8}{University of
%                                                            Babylon}
%
%  \InstitutionPostAddress{NUMBER}{NAME} -- Full address of the institution,
%                               including zip code and country name.
%                               IMPORTANT: use \ (backslash and blank) to 
%                               split items of the address onto lines:
%                               Example: \InstitutionName{1}{Ramses sq. 5, \
%                                         Babylon, 88102, \ Assyria}
%
%                                 It corresponds to:
%
%                                    Ramses sq. 5, 
%                                    Babylon, 88102, 
%                                    Assyria
%
%  \InstitutionCountry{NUMBER}{NAME} -- Country name where the institution
%                                       is located.
%
%  \InstitutionFax{NUMBER}{NAME} -- Fax number of the NUMBER-th institution.
%                                 Empty argument should be used if the
%                                 institution doesn't have fax. Country code
%                                 and area code should be specified also.
%                                 Example: \InstitutionFax{1}{+49-9941-603-104}
%
%  \InstitutionWebPage{NUMBER}{NAME} -- URL of the Web page of the
%                                 NUMBER-th institution. Empty argument should
%                                 be used if the institution doesn't have
%                                 a Web page.
%                                 Example: \InstitutionWebPage{2}{}
%                                 Example: \InstitutionWebPage{4}
%                                           {http://www.babylon.ant}
%
%   \MakeTitle -- command for making title. It is a replacement of the standard
%                 \maketitle command. \MakeTitle should be the first executable
%                 command after \begin{document}. The following commands
%
%                 \Title, \STitle, \PublicationType, \PublicationName, 
%                 \IvsComponentName, \NumberofAuthors, \AuthorName, 
%                 \AuthorEmail, \AuthorTelephone, \AuthorPersonalWebPage,
%                 \AuthorInstitutionReference, \ContactAuthorReference, 
%                 \NumberofInstitutions, \InstitutionName, 
%                 \InstitutionPostAddress, \InstitutionCountry, 
%                 \InstitutionFax, \InstitutionWebPage
%
%                 must all be specified and must precede \MakeTitle
%
%  WARNING:
%
%  1) User working directory should not contain files with extension .ivs --
%     filenames  with extension .ivs are reserved for special needs.
%  2) LaTeX will generate a file with extension .frm and if user had it
%     before, contents of that file will be re-written.
%
%
%  History:
%
%  19-MAY-99  v 0.5  Leonid Petrov  first pre-release.
%
%  05-JUN-99  v 0.6  Leonid Petrov  Added some internal commands for an editor
%                                   of the proceedings.
%
%  10-JUN-99  v 0.7  Leonid Petrov  Changed fontsize from 12pt to 11 pt
%                                   in according with a special request of
%                                   editor.
%
%  10-JUN-99  v 0.71 Leonid Petrov  Changed font style for headings from italic
%                                   to normal. Changed fontsize for captions
%                                   from normal to footnotesize in according
%                                   with a special request of editor.
%
%  10-JUN-99  v 0.72 Leonid Petrov  Changed font style for captions from
%                                   footnotesize to small in according with
%                                   a request
%
%  24-JUN-99  v 0.8  Leonid Petrov  Support of new editorial commands is added:
%                                     \@Twoside{logical}
%                                     \@MakeHeader{logical}
%                                     \@MakeFooter{logical}
%                                     \@HeaderText{string}
%                                     \@FooterText{string}
%                                     \@PaperSize{constant}
%                                   These commands may appear only in 
%                                   {jobname}.ivs file
%
%  27-JUN-99  v 0.81 Leonid Petrov  a) Corrected a mistake in re-definition of
%                                     \enddocument: added \leavevmode
%                                   b) Corrected a mistake in definition of 
%                                   defaults for editorial commands: use 
%                                   \let instead of \gdef
%                                   c) Corrected a type for \@PaperSizeDefault
%
%  01-JUL-99  v 0.82 N. Vandenberg  Changed \@HeaderText to
%                                           \@LeftHeaderText and
%                                           \@RightHeaderText
%                                   Defaults are component name and institution
%
%  05-JUL-99  v 0.83 L. Petrov      a) Corrected a bug in implementation of 
%                                      header logic. 
%                                   b) Renamed LeftHeader to FirstHeader
%                                      and RightHeader to SecondHeader.
%                                   c) Redefined accents-making commands to
%                                      the definitions declared in plain.tex
%
%  05-JUL-99  v 0.84 N. Vandenberg  Changed default paper size to Letter.
%  14-JUL-99  v 0.85 N. Vandenberg  Changed oddsidemargin, evensidemargin,
%                                   and hoffset to get 2-sided print match.
%  15-JUL-99  v 0.86 L. Petrov      a) Redefined all accent-making macros by 
%                                      using definitions from plain.tex. 
%                                      Redefined \AA as A (as simple A without 
%                                      a small circle at the top)
%                                   b) Corrected an error in the re-definition 
%                                      of enddocument: the previous version 
%                                      wrote a wrong last pagenumber in the 
%                                      case when the source file contained 
%                                      float objects at the very end.
%
% 16-JAN-2000 v 0.90 L. Petrov      Massive changes.
%                                   a) Added new mandatory commands:
%                                      \STitle, \InstitutionCountry, \PaperSize
%                                   b) Added support of new \PublicationType :
%                                      proceedings
%                                   c) Added support of new editorial commands:
%                                      \@Url, @UrlExtension
%                                   d) Now editorial commands @PublicationName,
%                                      @PaperSize supersede user-defined 
%                                      commands \PublicationName \PaperSize 
%                                   e) Corrected \voffset for A4 page size
%
% 20-JAN-2000 v 0.91 L. Petrov      Fixed a bug: counter start@counter was not
%                                   initialized when no editorial commands were 
%                                   supplied.
%
% 21-JAN-2000 v 0.92 L. Petrov      Institution list is centered when only one
%                                   institution and adjusted to the left edge
%                                   otherwise.
%
%                                   New item: contact e-mail is added to the
%                                   title just after institution list when
%                                   publication type is proceedings
%
% 24-JAN-2000 v 0.93 L. Petrov      Added support of a new mandatory macros
%                                   \ContactAuthorReference. Forced to flushleft
%                                   institution list in all cases.
%
% 24-JAN-2000 v 1.00 N. Vandenberg  Edited some descriptive comments.
%                                  
% 13-MAR-2000 v 1.01 L. Petrov      Added \noexpand before using a macros 
%                                   \@NumberofAuthors in \if The previous 
%                                   version didn't work correctly when 10 
%                                   or more authors were specified.
%                                  
% 16-MAR-2000 v 1.02 L. Petrov      Corrected a bug in \makecaption -- 
%                                   the previous version printed caption by
%                                   small fonts if the caption took only one 
%                                   line and normalsize font if caption took
%                                   more than one line. The new version uses
%                                   small font in all cases.
%                                  
% 27-MAR-2000 v 1.03 L. Petrov      Corrected several bugs.
%
% 14-APR-2000 v 1.04 L. Petrov      Added support of the case 
%                                   \NumberofAuthors{0} . No information about
%                                   authors and institutions is required then.
%                                   This option is reserved for editorial 
%                                   papers.
%
% 20-NOV-2000 v 1.05 L. Petrov      Fixed a bug: the previous changes for
%                                   publication type ``procedings'' made it
%                                   impossible to process correctlty publication
%                                   type report.
% 07-MAR-2001 v 1.06 K. Baver       Redefine \AA as A with small circle above,
%                                   not just plain A.  (But PET warns that this
%                                   will generate extra characters in the table
%                                   of contents, as well as potentially other
%                                   problems.)
%
%
%  END OF NEW COMMANDS DESCRIPTION
%  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%
%  Notes for programmers:
%
%  1) article.sty and art11.sty were merged
%  2) Definition of
%        \maketitle
%        \@maketitle
%        \@makecaption
%        \@sect
%        \@spart
%        \@startsection
%        \section
%        \subsubsection
%        \paragraph
%        \subparagraph
%        \@listI
%        \@listi
%     were commented out and new definitions were added at the bottom
%  3) set of macros were added
%
%  \textwidth and \textheight are defined in the bottom of this file at section
%   margins
%
%
%\tracingmacros=2
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% article.sty 16-Mar-88
%
\def\contentsname  {Contents} 
\def\listfigurename{List of Figures}
\def\listtablename {List of Tables} 
\def\abstractname  {Abstract}
\def\refname       {References} 
\def\indexname     {Index}
\def\figurename    {Figure} 
\def\tablename     {Table}

\@options
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Beginning  art11.sty 22-Dec-87
%
\def\partname{Part}

\lineskip 1pt \normallineskip 1pt
\def\baselinestretch{1}

\def\@normalsize{\@setsize\normalsize{13.6pt}\xipt\@xipt
\abovedisplayskip 11pt plus3pt minus6pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus3pt\belowdisplayshortskip 6.5pt plus3.5pt
minus3pt\let\@listi\@listI}
\def\small{\@setsize\small{12pt}\xpt\@xpt
\abovedisplayskip 10pt plus2pt minus5pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus3pt\belowdisplayshortskip 6pt plus3pt minus3pt
\def\@listi{\leftmargin\leftmargini \topsep 6pt plus 2pt minus 2pt\parsep 3pt
plus 2pt minus 1pt
\itemsep \parsep}}
\def\footnotesize{\@setsize\footnotesize{11pt}\ixpt\@ixpt
\abovedisplayskip 8pt plus 2pt minus 4pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus 1pt\belowdisplayshortskip 4pt plus 2pt minus
2pt
\def\@listi{\leftmargin\leftmargini \topsep 4pt plus 2pt minus 2pt\parsep 2pt
plus 1pt minus 1pt
\itemsep \parsep}}
\def\scriptsize{\@setsize\scriptsize{9.5pt}\viiipt\@viiipt}
\def\tiny{\@setsize\tiny{7pt}\vipt\@vipt}
\def\large{\@setsize\large{14pt}\xiipt\@xiipt}
\def\Large{\@setsize\Large{18pt}\xivpt\@xivpt}
\def\LARGE{\@setsize\LARGE{22pt}\xviipt\@xviipt}
\def\huge{\@setsize\huge{25pt}\xxpt\@xxpt}
\def\Huge{\@setsize\Huge{30pt}\xxvpt\@xxvpt}
\normalsize

\if@twoside \oddsidemargin 36pt \evensidemargin 74pt \marginparwidth 100pt
\else \oddsidemargin 54pt \evensidemargin 54pt
 \marginparwidth 83pt
\fi
\marginparsep 10pt
 \topmargin 27pt
\headheight 12pt \headsep 25pt \footskip 30pt
\textheight = 38\baselineskip
\advance\textheight by \topskip
\textwidth 360pt \columnsep 10pt \columnseprule 0pt

\footnotesep 7.7pt
\skip\footins 10pt plus 4pt minus 2pt
\floatsep 12pt plus 2pt minus 2pt \textfloatsep 20pt plus 2pt minus 4pt
\intextsep 12pt plus 2pt minus 2pt \@maxsep 20pt \dblfloatsep 12pt plus 2pt
minus 2pt \dbltextfloatsep 20pt plus 2pt minus 4pt \@dblmaxsep 20pt
\@fptop 0pt plus 1fil \@fpsep 8pt plus 2fil \@fpbot 0pt plus 1fil
\@dblfptop 0pt plus 1fil \@dblfpsep 8pt plus 2fil \@dblfpbot 0pt plus 1fil
\marginparpush 5pt

\parskip 0pt plus 1pt \parindent 17pt \partopsep 3pt plus 1pt minus 2pt
\@lowpenalty 51 \@medpenalty 151 \@highpenalty 301
\@beginparpenalty -\@lowpenalty \@endparpenalty -\@lowpenalty \@itempenalty
-\@lowpenalty


\def\part{\par \addvspace{4ex} \@afterindentfalse \secdef\@part\@spart}
\def\@part[#1]#2{\ifnum \c@secnumdepth >\m@ne \refstepcounter{part}
\addcontentsline{toc}{part}{\thepart \hspace{1em}#1}\else
\addcontentsline{toc}{part}{#1}\fi { \parindent 0pt \raggedright
 \ifnum \c@secnumdepth >\m@ne \Large \bf \partname \thepart \par\nobreak \fi \huge
\bf #2\markboth{}{}\par } \nobreak \vskip 3ex \@afterheading }
%!\def\@spart#1{{\parindent 0pt \raggedright
%! \huge \bf
%! #1\par} \nobreak \vskip 3ex \@afterheading }
%!\def\section{\@startsection {section}{1}{\z@}{-3.5ex plus -1ex minus
%! -.2ex}{2.3ex plus .2ex}{\Large\bf}}
%!\def\subsection{\@startsection{subsection}{2}{\z@}{-3.25ex plus -1ex minus
%! -.2ex}{1.5ex plus .2ex}{\large\bf}}
%!\def\subsubsection{\@startsection{subsubsection}{3}{\z@}{-3.25ex plus
%! -1ex minus -.2ex}{1.5ex plus .2ex}{\normalsize\bf}}
%!\def\paragraph{\@startsection
%! {paragraph}{4}{\z@}{3.25ex plus 1ex minus .2ex}{-1em}{\normalsize\bf}}
%!\def\subparagraph{\@startsection
%! {subparagraph}{4}{\parindent}{3.25ex plus 1ex minus
%! .2ex}{-1em}{\normalsize\bf}}


\setcounter{secnumdepth}{3}

\def\appendix{\par
 \setcounter{section}{0}
 \setcounter{subsection}{0}
 \def\thesection{\Alph{section}}}


\leftmargini 2.5em
\leftmarginii 2.2em \leftmarginiii 1.87em \leftmarginiv 1.7em \leftmarginv 1em
\leftmarginvi 1em
\leftmargin\leftmargini
\labelsep .5em
\labelwidth\leftmargini\advance\labelwidth-\labelsep
%!\def\@listI{\leftmargin\leftmargini \parsep 4.5pt plus 2pt minus 1pt\topsep
%!9pt plus 3pt minus 5pt\itemsep 4.5pt plus 2pt minus 1pt}
%!\let\@listi\@listI
%!\@listi
\def\@listii{\leftmargin\leftmarginii
 \labelwidth\leftmarginii\advance\labelwidth-\labelsep
 \topsep 4.5pt plus 2pt minus 1pt
 \parsep 2pt plus 1pt minus 1pt
 \itemsep \parsep}
\def\@listiii{\leftmargin\leftmarginiii
 \labelwidth\leftmarginiii\advance\labelwidth-\labelsep
 \topsep 2pt plus 1pt minus 1pt
 \parsep \z@ \partopsep 1pt plus 0pt minus 1pt
 \itemsep \topsep}
\def\@listiv{\leftmargin\leftmarginiv
 \labelwidth\leftmarginiv\advance\labelwidth-\labelsep}
\def\@listv{\leftmargin\leftmarginv
 \labelwidth\leftmarginv\advance\labelwidth-\labelsep}
\def\@listvi{\leftmargin\leftmarginvi
 \labelwidth\leftmarginvi\advance\labelwidth-\labelsep}
%
%  end of art11.sty
%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  Continuation of article.sty
%
\def\labelenumi{\theenumi.}
\def\theenumi{\arabic{enumi}}
\def\labelenumii{(\theenumii)}
\def\theenumii{\alph{enumii}}
\def\p@enumii{\theenumi}
\def\labelenumiii{\theenumiii.}
\def\theenumiii{\roman{enumiii}}
\def\p@enumiii{\theenumi(\theenumii)}
\def\labelenumiv{\theenumiv.}
\def\theenumiv{\Alph{enumiv}}
\def\p@enumiv{\p@enumiii\theenumiii}

\def\labelitemi{$\bullet$}
\def\labelitemii{\bf --}
\def\labelitemiii{$\ast$}
\def\labelitemiv{$\cdot$}

\def\verse{\let\\=\@centercr
 \list{}{\itemsep\z@ \itemindent -1.5em\listparindent \itemindent
 \rightmargin\leftmargin\advance\leftmargin 1.5em}\item[]}
\let\endverse\endlist
\def\quotation{\list{}{\listparindent 1.5em
 \itemindent\listparindent
 \rightmargin\leftmargin \parsep 0pt plus 1pt}\item[]}
\let\endquotation=\endlist
\def\quote{\list{}{\rightmargin\leftmargin}\item[]}
\let\endquote=\endlist

\def\descriptionlabel#1{\hspace\labelsep \bf #1}
\def\description{\list{}{\labelwidth\z@ \itemindent-\leftmargin
 \let\makelabel\descriptionlabel}}
\let\enddescription\endlist


\def\theequation{\arabic{equation}}


\def\titlepage{\@restonecolfalse\if@twocolumn\@restonecoltrue\onecolumn
 \else \newpage \fi \thispagestyle{empty}\c@page\z@}
\def\endtitlepage{\if@restonecol\twocolumn \else \newpage \fi}

\arraycolsep 5pt \tabcolsep 6pt \arrayrulewidth .4pt \doublerulesep 2pt
\tabbingsep \labelsep

\skip\@mpfootins = \skip\footins
\fboxsep = 3pt \fboxrule = .4pt

\newcounter{part}
\newcounter {section}
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]

\def\thepart{\Roman{part}} \def\thesection {\arabic{section}}
\def\thesubsection {\thesection.\arabic{subsection}}
\def\thesubsubsection {\thesubsection .\arabic{subsubsection}}
\def\theparagraph {\thesubsubsection.\arabic{paragraph}}
\def\thesubparagraph {\theparagraph.\arabic{subparagraph}}

\def\@pnumwidth{1.55em}
\def\@tocrmarg {2.55em}
\def\@dotsep{4.5}
\setcounter{tocdepth}{3}

\def\tableofcontents{\section*{\contentsname\@mkboth{\uppercase{\contentsname}
}{\uppercase{\contentsname}}}
 \@starttoc{toc}}
\def\l@part#1#2{\addpenalty{\@secpenalty}
 \addvspace{2.25em plus 1pt} \begingroup
 \@tempdima 3em \parindent \z@ \rightskip \@pnumwidth \parfillskip
-\@pnumwidth
 {\large \bf \leavevmode #1\hfil \hbox to\@pnumwidth{\hss #2}}\par
 \nobreak \endgroup}
\def\l@section#1#2{\addpenalty{\@secpenalty} \addvspace{1.0em plus 1pt}
\@tempdima 1.5em \begingroup
 \parindent \z@ \rightskip \@pnumwidth
 \parfillskip -\@pnumwidth
 \bf \leavevmode \advance\leftskip\@tempdima \hskip -\leftskip #1\nobreak\hfil
\nobreak\hbox to\@pnumwidth{\hss #2}\par
 \endgroup}

\def\l@subsection{\@dottedtocline{2}{1.5em}{2.3em}}
\def\l@subsubsection{\@dottedtocline{3}{3.8em}{3.2em}}
\def\l@paragraph{\@dottedtocline{4}{7.0em}{4.1em}}
\def\l@subparagraph{\@dottedtocline{5}{10em}{5em}}
\def\listoffigures{\section*{\listfigurename\@mkboth
 {\uppercase{\listfigurename}}{\uppercase{\listfigurename}}}\@starttoc{lof}}
\def\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
\def\listoftables{\section*{\listtablename\@mkboth
 {\uppercase{\listtablename}}{\uppercase{\listtablename}}}\@starttoc{lot}}
\let\l@table\l@figure


%\def\thebibliography#1{\section*{\refname\@mkboth
% {\uppercase{\refname}}{\uppercase{\refname}}}\footnotesize
% {[\arabic{enumi}]}{\settowidth\labelwidth{[#1]}\leftmargin\labelwidth
% \advance\leftmargin\labelsep
% \usecounter{enumi}}
% \def\newblock{\hskip .11em plus .33em minus .07em}
% \sloppy\clubpenalty4000\widowpenalty4000
% \sfcode`\.=1000\relax}
%\let\endthebibliography=\endlist


\newif\if@restonecol
\def\theindex{\@restonecoltrue\if@twocolumn\@restonecolfalse\fi
\columnseprule \z@
\columnsep 35pt\twocolumn[\section*{\indexname}]
 \@mkboth{\uppercase{\indexname}}{\uppercase{\indexname}}\thispagestyle{plain}
\parindent\z@
 \parskip\z@ plus .3pt\relax\let\item\@idxitem}
\def\@idxitem{\par\hangindent 40pt}
\def\subitem{\par\hangindent 40pt \hspace*{20pt}}
\def\subsubitem{\par\hangindent 40pt \hspace*{30pt}}
\def\endtheindex{\if@restonecol\onecolumn\else\clearpage\fi}
\def\indexspace{\par \vskip 10pt plus 5pt minus 3pt\relax}

\def\footnoterule{\kern-3\p@
 \hrule width .4\columnwidth
 \kern 2.6\p@}

\long\def\@makefntext#1{\parindent 1em\noindent
 \hbox to 1.8em{\hss$^{\@thefnmark}$}#1}


\setcounter{topnumber}{2}
\def\topfraction{.7}
\setcounter{bottomnumber}{1}
\def\bottomfraction{.3}
\setcounter{totalnumber}{3}
\def\textfraction{.2}
\def\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\def\dbltopfraction{.7}
\def\dblfloatpagefraction{.5}

%!\long\def\@makecaption#1#2{
%! \vskip 10pt
%! \setbox\@tempboxa\hbox{#1: #2}
%! \ifdim \wd\@tempboxa >\hsize #1: #2\par \else \hbox
%!to\hsize{\hfil\box\@tempboxa\hfil}
%! \fi}

\newcounter{figure}
\def\thefigure{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename{} \thefigure}
\def\figure{\@float{figure}}
\let\endfigure\end@float
\@namedef{figure*}{\@dblfloat{figure}}
\@namedef{endfigure*}{\end@dblfloat}
\newcounter{table}
\def\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename{} \thetable}
\def\table{\@float{table}}
\let\endtable\end@float
\@namedef{table*}{\@dblfloat{table}}
\@namedef{endtable*}{\end@dblfloat}


%!\def\maketitle{\par
%! \begingroup
%! \def\thefootnote{\fnsymbol{footnote}}
%! \def\@makefnmark{\hbox
%! to 0pt{$^{\@thefnmark}$\hss}}
%! \if@twocolumn
%! \twocolumn[\@maketitle]
%! \else \newpage
%! \global\@topnum\z@ \@maketitle \fi\thispagestyle{plain}\@thanks
%! \endgroup
%! \setcounter{footnote}{0}
%! \let\maketitle\relax
%! \let\@maketitle\relax
%! \gdef\@thanks{}\gdef\@author{}\gdef\@title{}\let\thanks\relax}
%!\def\@maketitle{
%!    \newpage
%!    \null
%!    \vskip 2em
%!    \begin{center}
%!       {\Large\bf \@title \par} \vskip 1.5em
%!               {\large \lineskip .5em
%!               \begin{tabular}[t]{c}
%!                      {\sc\@author}
%!               \end{tabular}\par}
%!    \end{center}
%!    \par
%!    \vskip 1.5em}
%!    \def\abstract{\if@twocolumn
%!        \section*{\abstractname}
%!      \else \small
%!    \begin{center}
%!       {\normalsize\bf \abstractname\vspace{-.5em}\vspace{0pt}}
%!    \end{center}
%!    \quotation
%!\fi}
%!\def\endabstract{\if@twocolumn\else\endquotation\fi}

\mark{{}{}}

\if@twoside \def\ps@headings{\let\@mkboth\markboth
\def\@oddfoot{}\def\@evenfoot{}\def\@evenhead{\rm \thepage\hfil \sl
\leftmark}\def\@oddhead{\hbox{}\sl \rightmark \hfil
\rm\thepage}\def\sectionmark##1{\markboth {\uppercase{\ifnum \c@secnumdepth
>\z@
 \thesection\hskip 1em\relax \fi ##1}}{}}\def\subsectionmark##1{\markright
{\ifnum \c@secnumdepth >\@ne
 \thesubsection\hskip 1em\relax \fi ##1}}}
\else \def\ps@headings{\let\@mkboth\markboth
\def\@oddfoot{}\def\@evenfoot{}\def\@oddhead{\hbox {}\sl \rightmark \hfil
\rm\thepage}\def\sectionmark##1{\markright {\uppercase{\ifnum \c@secnumdepth
>\z@
 \thesection\hskip 1em\relax \fi ##1}}}}
\fi
\def\ps@myheadings{\let\@mkboth\@gobbletwo
\def\@oddhead{\hbox{}\sl\rightmark \hfil
\rm\thepage}\def\@oddfoot{}\def\@evenhead{\rm \thepage\hfil\sl\leftmark\hbox
{}}\def\@evenfoot{}\def\sectionmark##1{}\def\subsectionmark##1{}}


\def\today{\ifcase\month\or
 January\or February\or March\or April\or May\or June\or
 July\or August\or September\or October\or November\or December\fi
 \space\number\day, \number\year}
\ps@plain \pagenumbering{arabic} \onecolumn \if@twoside\else\raggedbottom\fi
%
%  End of article.sty
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% IVS specific definitions
% ~~~~~~~~~~~~~~~~~~~~~~~~
%
%     RE-DEFINITIONS
%
%
% --- Re-definition of caption "." instead of ":" is put between the
% --- caption counter and caption name
%
\long\def\@makecaption#1#2{\vskip 9pt \setbox\@tempboxa
         \hbox{\small #1. #2}
         \ifdim \wd\@tempboxa >\hsize{\small #1. #2}\par \else \hbox to\hsize
                {\hfil\box\@tempboxa\hfil}
         \fi}
%
% --- Re-definition of sections. Identation in the first paragraph of the
% --- section is allowed.
%
\def\@spart#1{{\parindent 0pt \raggedright
 \huge \bf
 #1\par} \nobreak \vskip 3ex \@afterheading }
\def\section{\@startsection {section}{1}{\z@}{3.5ex plus -1ex minus
 -.2ex}{2.3ex plus .2ex}{\large\bf}}
\def\subsection{\@startsection{subsection}{2}{\z@}{3.25ex plus -1ex minus
 -.2ex}{1.5ex plus .2ex}{\large\bf}}
\def\subsubsection{\@startsection{subsubsection}{3}{\z@}{3.25ex plus
 -1ex minus -.2ex}{1.5ex plus .2ex}{\normalsize\bf}}
\def\paragraph{\@startsection
 {paragraph}{4}{\z@}{3.25ex plus 1ex minus .2ex}{-1em}{\normalsize\bf}}
\def\subparagraph{\@startsection
 {subparagraph}{4}{\parindent}{3.25ex plus 1ex minus
 .2ex}{-1em}{\normalsize\bf}}
%
% --- Re-definition of sect in order to add a dot after a section name.
% --- Decreased space between the dot after the section name and the section
% --- name
%
\def\@sect#1#2#3#4#5#6[#7]#8{\ifnum #2>\c@secnumdepth
     \let\@svsec\@empty\else
     \refstepcounter{#1}\edef\@svsec{\csname the#1\endcsname.\hskip 0.5em}\fi
     \@tempskipa #5\relax
      \ifdim \@tempskipa>\z@
        \begingroup #6\relax
          \@hangfrom{\hskip #3\relax\@svsec}{\interlinepenalty \@M #8\par}%
        \endgroup
       \csname #1mark\endcsname{#7}\addcontentsline
         {toc}{#1}{\ifnum #2>\c@secnumdepth \else
                      \protect\numberline{\csname the#1\endcsname}\fi
                    #7}\else
        \def\@svsechd{#6\hskip #3\relax  %% \relax added 2 May 90
                   \@svsec #8\csname #1mark\endcsname
                      {#7}\addcontentsline
                           {toc}{#1}{\ifnum #2>\c@secnumdepth \else
                             \protect\numberline{\csname the#1\endcsname}\fi
                       #7}}\fi
     \@xsect{#5}}
%
% --- Changed interval between items in the list of the first level --
% --- interval set less.
%
\def\@listI{\leftmargin\leftmargini \parsep 3pt plus 1.5pt minus 1pt\topsep
5pt plus 2pt minus 3pt\itemsep 3pt plus 1.5pt minus 1pt}
\let\@listi\@listI
\@listi
%
% --- Redefinition of \thebibliography. Fontsize was changed to \small
% --- (10-JUN-99)
%
\def\thebibliography#1{\section*{\refname\@mkboth
 {\uppercase{\refname}}{\uppercase{\refname}}}\small\list
 {[\arabic{enumi}]}{\settowidth\labelwidth{[#1]}\leftmargin\labelwidth
 \advance\leftmargin\labelsep
 \usecounter{enumi}}
 \def\newblock{\hskip .11em plus .33em minus .07em}
 \sloppy\clubpenalty4000\widowpenalty4000
 \sfcode`\.=1000\relax}
\let\endthebibliography=\endlist
%
% --- Definition of Headers
%
\gdef\@oddhead{\parbox{\textwidth}{\footnotesize%
   \ifx \@PublicationType \@StringProceedings
        \ifnum \c@page = \start@counter
%
% ---------- In the case of Proceedings and first page we put two items at 
% ---------- the header: Citation and URL
%
             \@nameuse{@Citation} \ \\
	     \if F\@nameuse{@UrlExtension}
	          \@nameuse{@Url} 
	        \else
	          \@nameuse{@Url}\jobname\@nameuse{@UrlExtension}
	     \fi
             \par\vspace{-6ex}\par\noindent\
	   \else
%
% ---------- Normal header
%
             \@FirstHeaderText\hfill%
             \par\vspace{-2ex}\par\noindent\rule{\textwidth}{0.1mm}
	\fi
      \else
             \@FirstHeaderText\hfill\@SecondHeaderText%
             \par\vspace{-2ex}\par\noindent\rule{\textwidth}{0.1mm}
   \fi
}}
%
\gdef\@evenhead{\parbox{\textwidth}{\footnotesize%
   \ifx \@PublicationType \@StringProceedings
        \ifnum \c@page = \start@counter
%
% ---------- In the case of Proceedings and first page we put two items at 
% ---------- the header: Citation and URL
%
             \@nameuse{@Citation} \ \\
	     \if F\@nameuse{@UrlExtension}
	          \@nameuse{@Url} 
	        \else
	          \@nameuse{@Url}\jobname\@nameuse{@UrlExtension}
	     \fi
             \par\vspace{-6ex}\par\noindent\
          \else
%
% ---------- Normal header
%
             \@FirstHeaderText\hfill%
             \par\vspace{-2ex}\par\noindent\rule{\textwidth}{0.1mm}
	\fi
      \else
             \@SecondHeaderText\hfill\@FirstHeaderText%
             \par\vspace{-2ex}\par\noindent\rule{\textwidth}{0.1mm}
   \fi
}}
%
% --- Definition of Footers
%
\def\@oddfoot{\parbox{\textwidth}{\footnotesize
    \par\noindent\footnotesize\rule{\textwidth}{0.1mm}%
    \par\vspace{0.1ex}\par\noindent\@nameuse{@FooterText}\hfill\thepage}}
%
\def\@evenfoot{\parbox{\textwidth}{\footnotesize
    \par\noindent\footnotesize\rule{\textwidth}{0.1mm}%
    \par\vspace{0.1ex}\par\noindent\thepage\hfill\@nameuse{@FooterText}}}
%
% --- Redefined \enddocument in order to write the last page number in
% --- {jobname}.frm file (27-JUN-99) (Corrected on 15-JUL-99)
%
\newcount\@IfCounter
\def\if@one#1#2#3{ 
	          \@IfCounter=\@nameuse{#1}
                  \ifnum \@IfCounter=1
                         #2
                     \else                  
                         #3
                  \fi
                 }
\def\if@zero#1#2#3{ 
	          \@IfCounter=\@nameuse{#1}
                  \ifnum \@IfCounter=0
                         #2
                     \else                  
                         #3
                  \fi
                 }
%
\def\enddocument{\@checkend{document}\leavevmode
\clearpage
%
\let\c@lastpage=\c@page
\advance\c@lastpage by -1
%
% --- Write down some commads whcih will be used in future:
% --- StartPage, LastPage and Citation 
%
\immediate\write\@auxout{\string\@gnamedef{@StartPage}{\number\start@counter}}
\immediate\write\@auxout{\string\@gnamedef{@LastPage}{\number\c@lastpage}}
%       
\if@one{@NumberofAuthors}
       {\immediate\write
        \@auxout{\string\@gnamedef{@Citation}{\@nameuse{@AuthorName1}: 
                                 \@nameuse{@Title}, 
                                 \@nameuse{@PublicationName}, 
                               p.\number\start@counter--\number\c@lastpage } }
       }
%
% --- more than one author
%
       {
        \if@zero{@NumberofAuthors}
           {
            \immediate\write
            \@auxout{\string\@gnamedef{@Citation}{\@nameuse{@Title}, 
                            \@nameuse{@PublicationName}, 
                             p.\number\start@counter--\number\c@lastpage }}
           }
           {
            \immediate\write
            \@auxout{\string\@gnamedef{@Citation}{\@nameuse{@AuthorName1} 
                             et al.: \@nameuse{@Title}, 
                            \@nameuse{@PublicationName}, 
                             p.\number\start@counter--\number\c@lastpage }}
           }
       }
\immediate\write\@frmfile{\string Lastpagenumber: \number\c@lastpage}
\typeout{FirstPagenumber is \number\start@counter}
\typeout{LastPagenumber  is \number\c@lastpage}
%
\begingroup
\if@filesw \immediate\closeout\@mainaux
\def\global\@namedef##1##2{}\def\newlabel{\@testdef r}%
\def\bibcite{\@testdef b}\@tempswafalse \makeatletter\input \jobname.aux
\if@tempswa \@@warning{Label(s) may have changed.  Rerun to get
cross-references right}\fi\fi\endgroup\deadcycles\z@\@@end}
%
% --- definition accents as it had been done in plain TeX (refer to TeX-book,
% --- page 356 ). Version of LaTeX 99.6.2 (and probably older, but not older 
% --- than 96.3.29) re-defines accents by using \@ commands what makes 
% --- impossible to use expanded text in another LaTeX documents. These 
% --- definitions have been copied from plain.tex file.
%
\def\`#1{{\accent18 #1}}
\def\'#1{{\accent19 #1}}
\def\v#1{{\accent20 #1}} \let\^^_=\v
\def\u#1{{\accent21 #1}} \let\^^S=\u
\def\=#1{{\accent22 #1}}
\def\^#1{{\accent94 #1}} \let\^^D=\^
\def\.#1{{\accent95 #1}}
\def\H#1{{\accent"7D #1}}
\def\~#1{{\accent"7E #1}}
\def\"#1{{\accent"7F #1}}
\def\t#1{{\edef\next{\the\font}\the\textfont1\accent"7F\next#1}}
%
\chardef\%=`\%
\chardef\&=`\&
\chardef\#=`\#
\chardef\$=`\$
\chardef\ss="19
\chardef\ae="1A
\chardef\oe="1B
\chardef\o="1C
\chardef\AE="1D
\chardef\OE="1E
\chardef\O="1F
\chardef\i="10 \chardef\j="11 % dotless letters
\def\aa{\accent23a}
\def\l{\char32l}
\def\L{\leavevmode\setbox0\hbox{L}\hbox to\wd0{\hss\char32L}}
\def\AA{\leavevmode\setbox0\hbox{h}\dimen@\ht0\advance\dimen@-1ex%
  \rlap{\raise.67\dimen@\hbox{\char'27}}A}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%     DEFINITIONS OF NEW COMMANDS
%
%
% --- Definitions of constants
%
\gdef\@StringAfour{A4}
\gdef\@StringLetter{Letter}
\gdef\@StringReport{report}
\gdef\@StringProceedings{proceedings}
\gdef\@StringEmpty{\ }
\gdef\@QMark{?}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  Syntax of editoral commands:  (defined in \jobname.ivs 
%  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%
%                              NB: editoral commands are for an editor only!
%
%
%  \@Startpage{number}     -- sets the page number of the starting page
%                             \@Startpage{164} means that the first page of the
%                             paper has number 164, the second page -- 165 and
%                             so on
%  \@Abstractonly{logical} -- If T then only abstract will be made, while other 
%                             part of the document is ignored.
%  \@Twoside{logical}      -- If T then left horizonatal margins for add and 
%                             even pages will not be equal.
%  \@MakeHeader{logical}   -- If T then headers will be add at the top of the
%                             page.
%  \@MakeFooter{logical}   -- If T then footer will be add at the bottom of the
%                             page.
%  \@HeaderText{string}    -- defines the header text. \@IvsComponentName 
%                             overrides this definition when \@PublicationType 
%                             is report
%  \@FooterText{string}    -- defines the footer text
%  \@PaperSize{constant}   -- Two constants are supported: A4 and Letter.
%                             They defines paper size. When defined supersedes
%                             user-supplied paper size.
%  \@PublicationName{string} -- Publication name. When defined supersedes
%                               user-supplied publication name.
%  \@Url{string}           -- URL of the publication which is printed in the
%                             header of the first page in proceedings 
%                             publication type.
%  \@UrlExtension{string}  -- Extension of the URL. If not defined then the
%                             string @Url is considered as a final URL.
%                             If \@UrlExtension is defined then full URL is
%                             concatenation of @Url \jobnmame \@UrlExtension .
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% --- Global version of @namedef
%
\def\@gnamedef#1{\expandafter\gdef\csname #1\endcsname}
%
% --- Define a new counter for keeping the page number 
% --- (Command @Startpage may reset value of this counter)
%
\newcount\start@counter 
\start@counter=\c@page 
%
%
% --- Definitions of default values of editors commands. These defaults
% --- are used when no editoral file {jobname}.ivs was found in the current
% --- directory
%
\gdef\@Startpage#1{\c@page=#1 
                   \start@counter=\c@page 
                   \typeout{Start page: \thepage} }
\gdef\@AbstractonlyDefault{}  % Default: dummy command
\gdef\@TwosideDefault{F}
\gdef\@MakeFooterDefault{F}
\gdef\@MakeHeaderDefault{F}
\gdef\@HeaderTextDefault{Header text (default)}
\gdef\@FirstHeaderTextDefault{First header text (default)}
\gdef\@SecondHeaderTextDefault{Second header text (default)}
\gdef\@FooterTextDefault{Footer text (default)}
\gdef\@PaperSizeDefault{Letter}
\gdef\@UrlDefault{http://www.default.host}
\gdef\@CitationDefault{???}
\gdef\@LastPageDefault{?}
\gdef\@UrlExtensionDefault{F}
%
% --- Read input file {jobname}.ivs (05-JUN-99)
%
\def\@Input#1{\openin\@inputcheck #1 \ifeof\@inputcheck
                \relax
              \else\closein\@inputcheck \relax\@@input #1
                 \typeout {Read input file: #1}
              \fi}
%
% --- Now check: if the file {jobname}.ivs exist then read it. (05-JUN-99)
%
\@Input{\jobname.ivs}
%
% --- Open the output file for information about the presentation.
% --- frm-file is for making Web page, table of content, list of authors,
% --- list of institutions and so on. It will be processed by special software.
%
\newwrite\@frmfile
\immediate\openout\@frmfile=\jobname.frm
%
% ---- Use default if not defined (27-JUN-99)
%
\@ifundefined{@Abstractonly}{\let\@Abstractonly=\@AbstractonlyDefault}{\relax}
\@ifundefined{@Twoside}     {\let\@Twoside=\@TwosideDefault}          {\relax}
\@ifundefined{@MakeFooter}  {\let\@MakeFooter=\@MakeFooterDefault}    {\relax}
\@ifundefined{@MakeHeader}  {\let\@MakeHeader=\@MakeHeaderDefault}    {\relax}
\@ifundefined{@HeaderText}  {\let\@HeaderText=\@HeaderTextDefault}    {\relax}
\@ifundefined{@FirstHeaderText} {\let\@FirstHeaderText=\@FirstHeaderTextDefault}
                                {\relax}
\@ifundefined{@SecondHeaderText}{\let\@SecondHeaderText=\@SecondHeaderTextDefault}
                                {\relax}
\@ifundefined{@FooterText}  {\let\@FooterText=\@FooterTextDefault}    {\relax}
\@ifundefined{@Url}         {\let\@Url=\@UrlDefault}                  {\relax}
\@ifundefined{@UrlExtension}{\let\@UrlExtension=\@UrlExtensionDefault}{\relax}
\@ifundefined{@LastPage}    {\let\@LastPage=\@LastPageDefault}        {\relax}
\@ifundefined{@Citation}    {\if T\@Abstractonly
                                 {\let\@Citation=\@EmptyString}
                                 {\let\@Citation=\@CitationDefault}
                             \fi}                                     {\relax}
%
%
% --- Write down first number of the first page (05-JUN-99)
%
\immediate\write\@frmfile{\string Firstpagenumber: \thepage}
%
% --- Template defintions for TITLE section. @-analog is defined for each
% --- macros. And its ocntent is written to the frm-file.
%
\gdef\Title#1{\gdef\@Title{#1}
\immediate\write\@frmfile{\string Title: #1} }

\gdef\STitle#1{\gdef\@STitle{#1}
\immediate\write\@frmfile{\string STitle: #1} }

\gdef\PublicationType#1{\@namedef{@PublicationType}{#1}
\immediate\write\@frmfile{\string PublicationType: #1} }

\@ifundefined{@PublicationName}
  {\gdef\PublicationName#1{\gdef\@PublicationName{#1}
   \immediate\write\@frmfile{\string PublicationName: #1} }
  }
  {\gdef\PublicationName#1{
   \immediate\write\@frmfile{\string PublicationName: 
   \@nameuse{@PublicationName} } }
  }

\gdef\PaperSize#1{\@ifundefined{@PaperSizea}{\relax}{\gdef\@PaperSize{#1}} }

\gdef\IvsComponentName#1{\gdef\@IvsComponentName{#1}
\immediate\write\@frmfile{\string IvsComponentName: #1} }

%
% --- Template defintions for AUTHORS section
%
\gdef\NumberofAuthors#1{\gdef\@NumberofAuthors{#1}
\immediate\write\@frmfile{\string NumberofAuthors: #1} }

\gdef\@AuthorName{}{}
\gdef\AuthorName#1#2{\@namedef{@AuthorName#1}{#2}
\immediate\write\@frmfile{\string AuthorName#1: #2} }

\gdef\@AuthorEmail{}{}
\gdef\AuthorEmail#1#2{\@namedef{@AuthorEmail#1}{#2}
\immediate\write\@frmfile{\string AuthorEmail#1: #2} }

\gdef\@AuthorTelephone{}{}
\gdef\AuthorTelephone#1#2{\@namedef{@AuthorTelephone#1}{#2}
\immediate\write\@frmfile{\string AuthorTelephone#1: #2} }

\gdef\@AuthorPersonalWebPage{}{}
\gdef\AuthorPersonalWebPage#1#2{\@namedef{@AuthorPersonalWebPage#1}{#2}
\immediate\write\@frmfile{\string AuthorPersonalWebPage#1: #2} }

\gdef\@AuthorInstitutionReference{}{}
\gdef\AuthorInstitutionReference#1#2{\@namedef{@AuthorInstitutionReference#1}{#2}
\immediate\write\@frmfile{\string AuthorInstitutionReference#1: #2} }

\gdef\ContactAuthorReference#1{\gdef\@ContactAuthorReference{#1}
\immediate\write\@frmfile{\string ContactAuthorReference: #1} }

%
% --- Template defintions for INSTITUTIONS section
%
\gdef\NumberofInstitutions#1{\gdef\@NumberofInstitutions{#1}
\immediate\write\@frmfile{\string NumberofInstitutions: #1} }

\gdef\@InstitutionName{}{}
\gdef\InstitutionName#1#2{\@namedef{@InstitutionName#1}{#2}
\immediate\write\@frmfile{\string InstitutionName#1: #2} }

\gdef\@InstitutionPostAddress{}{}
\gdef\InstitutionPostAddress#1#2{\@namedef{@InstitutionPostAddress#1}{#2}
\immediate\write\@frmfile{\string InstitutionPostAddress#1: #2} }

\gdef\@InstitutionCountry{}{}
\gdef\InstitutionCountry#1#2{\@namedef{@InstitutionCountry#1}{#2}
\immediate\write\@frmfile{\string InstitutionCountry#1: #2} }

\gdef\@InstitutionFax{}{}
\gdef\InstitutionFax#1#2{\@namedef{@InstitutionFax#1}{#2}
\immediate\write\@frmfile{\string InstitutionFax#1: #2} }

\gdef\@InstitutionWebPage{}{}
\gdef\InstitutionWebPage#1#2{\@namedef{@InstitutionWebPage#1}{#2}
\immediate\write\@frmfile{\string InstitutionWebPage#1: #2} }

\gdef\MakeTitle{
%
% --- First checks of the general arguments. All of them should be defined
%
   \@CheckCharArg{Title}
   \@CheckCharArg{STitle}
   \@CheckCharArg{PublicationType}
   \@CheckCharArg{PublicationName}
   \@CheckCharArg{IvsComponentName}
   \@CheckCharArg{NumberofAuthors}
   \if@zero{@NumberofAuthors}
            {\typeout{Warning: NumberofAuthors is ZERO. Are you sure?}}
            {\@CheckIntegerArg{ContactAuthorReference}}
   \@CheckCharArg{NumberofInstitutions}
   \if@zero{@NumberofAuthors}{\relax}
           {\@CheckContactAuthorReference{ContactAuthorReference}}
%
% --- Check: was all information about all institutions defined?
%
   \if@zero{@NumberofAuthors}{\relax}
      {\newcount\counter@Institutions  % Counter of the institutions
       \loop
           \advance\counter@Institutions by 1
           \@CheckInstitution{\number\counter@Institutions}
           \ifnum\counter@Institutions < \@NumberofInstitutions
       \repeat
      }
%
% --- Define headers
%
   \ifx \@PublicationType \@StringReport
        \gdef\@FirstHeaderText {\@nameuse{@InstitutionName1}}
        \gdef\@SecondHeaderText{\@nameuse{@IvsComponentName}} 
        \def\@PulicationTypeDefined{\relax}
   \fi
   \ifx \@PublicationType \@StringProceedings
        \if@one{@NumberofAuthors}
               {\gdef\@FirstHeaderText {\@nameuse{@AuthorName1}: \quad
                                        \@nameuse{@STitle} }
               }
%
% ------------ else
%
                 {\if@zero{@NumberofAuthors}
                          {\gdef\@FirstHeaderText{\@nameuse{@STitle}} }
                          {\gdef\@FirstHeaderText {\@nameuse{@AuthorName1} 
                                       et al.: \quad \@nameuse{@STitle} }
                 }
               }
        \gdef\@SecondHeaderText{\@nameuse{@StringEmpty}} 
        \def\@PulicationTypeDefined{\relax}
   \fi
   \@ifundefined{@PulicationTypeDefined}
      {\@latexerr{PublicationType \@PublicationType is not supported.
                  report or proceedings expected}
                 {Please check syntax of the preamble. Refer to manual 
                  of ivs.sty}
       \end
      }
      {\relax}
   \@ifundefined{@PaperSize}   
      {\let\@PaperSize=\@PaperSizeDefault}
      {\relax}
   \ifx \@PaperSize\@StringAfour
        \hoffset        = -21mm
        \voffset        = -25mm
        \typeout{A4 paper size}
      \else
        \ifx \@PaperSize\@StringLetter
             \hoffset = -13mm
             \voffset = -11mm
             \typeout{Letter paper size}
        \else
             \@latexerr{PaperSize \@PaperSize is not supported. 
                        Only A4 or Letter are supported}
                        {Please check syntax of the {jobname}.ivs file. 
                        Refer to manual of ivs.sty}
    \fi
\fi
%
\if T\@Twoside
    \@twosidetrue 
    \@mparswitchtrue 
    \typeout{Two side mode} 
    \ifx \@PaperSize \@StringAfour
         \oddsidemargin  25mm
         \evensidemargin 13mm
       \else
         \ifx \@PaperSize \@StringLetter
              \oddsidemargin  24mm
              \evensidemargin 13mm
         \fi
    \fi
  \else
    \gdef\@evenhead{\@oddhead} 
    \gdef\@evenfoot{\@oddfoot} 
    \typeout{One side mode} 
\fi
%
% --- Now make the title
%
   \begin{center}
      \null
      \ifx \@PublicationType \@StringProceedings
%
% -------- We took some soapce for citation
%
           \vskip  0.0ex
	 \else
           \vskip -3.0ex
      \fi
%
%  --- Print title name
%
      {\Large\bf \@Title \par}
      \vskip 2.5ex
%
% --- ... and authors list
%
      {\large \lineskip .5em \sl
       \if@zero{@NumberofAuthors}{\relax}
          {\newcount\counter@Authors % Counter of authors
           \loop
              \advance\counter@Authors by 1
%
% ----------- Check: was all information about the author supplied?
%
              \@CheckAuthor{\number\counter@Authors}
              \ifnum \counter@Authors < \@NumberofAuthors
%
% --------------- Add the author to the line of the authors and put the comma
%
                 \ifx \@PublicationType \@StringProceedings
	              \ifnum \@NumberofInstitutions > 1
                          \mbox{\@nameuse{@AuthorName\number\counter@Authors}
${}^{\@nameuse{@AuthorInstitutionReference\number\counter@Authors}}$, }
	                \else
                          \mbox{\@nameuse{@AuthorName\number\counter@Authors}, }
                      \fi
                 \fi
                 \ifx \@PublicationType \@StringReport
                     \mbox{\@nameuse{@AuthorName\number\counter@Authors}, }
                 \fi
                 \hspace{-3.0em}
               \else
%
% --------------- Add the author to the line of the authors
%
                 \ifx \@PublicationType \@StringProceedings
	              \ifnum \@NumberofInstitutions > 1
                          \mbox{\@nameuse{@AuthorName\number\counter@Authors}
${}^{\@nameuse{@AuthorInstitutionReference\number\counter@Authors}}$ }
	               \else
                           \mbox{\@nameuse{@AuthorName\number\counter@Authors}}
                      \fi
                 \fi
                 \ifx \@PublicationType \@StringReport
                      \mbox{\@nameuse{@AuthorName\number\counter@Authors}}
                 \fi
             \fi
            \ifnum\counter@Authors < \@NumberofAuthors
          \repeat
         }
      \par
%
      \ifx \@PublicationType \@StringProceedings
         \if@zero{@NumberofAuthors}{\relax}
           { \vskip 2.5ex
%
% ----------- Institutions list
%
             \newcount\counter@Institutions % Counter of authors
	     \ifnum \@NumberofInstitutions > -1 % always 24-JAN-2000 18:15:00
	          \begin{flushleft} % adjusted to the left edge when more than
	        \else                %          one institution
	          \begin{center}    % centered when only one institution
	     \fi
%
             \loop
                \advance\counter@Institutions  by 1
%
% -------------- Check: was all information about the institution is supplied?
%
                \@CheckInstitution{\number\counter@Institutions}
                { \quad \small \it 
	            \ifnum \@NumberofInstitutions > 1
                         ${}^{\number\counter@Institutions)}$
	            \fi 
                    \@nameuse{@InstitutionName\number\counter@Institutions}} \\
                \ifnum\counter@Institutions < \@NumberofInstitutions
             \repeat
%
% ---------- Contact e-mail
%
	     \ifnum\@nameuse{@ContactAuthorReference} > 0
%
% ------------- It is printed only if @ContactAuthorReference is not 0
%
	        \vskip 0.25ex
	        {\quad \small \it 
%
% ---------------- Name of the contact author is printed only if there is more
% ---------------- than one author
%
	           \if@one{@NumberofAuthors}
	              {\relax}
                      {Contact author:  
                       \mbox{\@nameuse{@AuthorName\@nameuse{@ContactAuthorReference}}},
	              }
%
% ----------------- Now e-mail address
%
                    e-mail: 
                    \tt \mbox{
                       \@nameuse{@AuthorEmail\@nameuse{@ContactAuthorReference}}
                             }
	        }
	     \fi % ContactAuthorReference
%
	     \ifnum \@NumberofInstitutions > -1 % always 24-JAN-2000 18:15:07
	         \end{flushleft}
	       \else
	         \end{center}
	     \fi
           }
         \fi % number of authores
      }
      \par
      \vskip 2.5ex
   \end{center}
}
%
% --- re-definition of abstract environment
%
\gdef\abstract{
    \if T\@Abstractonly
           \typeout{Abstract only mode}
           \relax
        \else
           \small
     \fi
%
    \begin{center}
           {\normalsize\bf \abstractname\vspace{-.5em}\vspace{0pt}}
    \end{center}
%
    \smallskip
    \if T\@Abstractonly
           \relax
        \else
           \footnotesize
    \fi
    \quotation
}
%
% --- Redifition of \endabstract.  (05-JUN-99)
% --- TeX will process the input file in normal more if the file
% --- {jobname}.ivs  doesn't have definition  of @Abstractonly or it
% --- is it defines @Abstractonly as some string not T.
% ---
% --- If @Abstractonly is defined as T  ( \gdef\@Abstractonly{T} )
% --- then TeX should quit processing after printing abstract.
%
\gdef\endabstract{\endquotation
      \if T\@Abstractonly
          {\gdef\thepage{}\clearpage\deadcycles\z@\@@end}
      \fi
}
%
%  --- Check: was all information about the author defined?
%
\def\@CheckAuthor#1{
  \@ifundefined{@AuthorName#1}
     {\@latexerr{AuthorName{#1} was not defined}
     {Please check syntax of the author list. Refer to manual of ivs.sty}}
     {\relax}
%
  \@ifundefined{@AuthorEmail#1}
     {\@latexerr{AuthorEmail{#1} was not defined}
     {Please check syntax of the author list. Refer to manual of ivs.sty}}
     {\relax}
%
  \@ifundefined{@AuthorTelephone#1}
     {\@latexerr{AuthorTelephone{#1} was not defined}
     {Please check syntax of the author list. Refer to manual of ivs.sty}}
     {\relax}
%
  \@ifundefined{@AuthorPersonalWebPage#1}
     {\@latexerr{AuthorPersonalWebPage{#1} was not defined}
     {Please check syntax of the author list. Refer to manual of ivs.sty}}
     {\relax}
%
  \@ifundefined{@AuthorInstitutionReference#1}
     {\@latexerr{AuthorInstitutionReference{#1} was not defined}
     {Please check syntax of the author list. Refer to manual of ivs.sty}}
     {\relax}
  \ifnum \@nameuse{@AuthorInstitutionReference#1} < 1
     {\@latexerr{AuthorInstitutionReference{#1} is less than 1 }
     {Please check syntax of the author list. Refer to manual of ivs.sty}}
  \fi
%
  \ifnum \@nameuse{@AuthorInstitutionReference#1} > 
         \@nameuse{@NumberofInstitutions}
     {\@latexerr{AuthorInstitutionReference{#1} is greater than the number of
      Institutions}
     {Please check syntax of the author list. Refer to manual of ivs.sty}}
  \fi
}
%
%  --- Check: was all information about the institution defined?
%
\def\@CheckInstitution#1{
  \@ifundefined{@InstitutionName#1}
     {\@latexerr{InstitutionName{#1} was not defined}
     {Please check syntax of the institution list. Refer to manual of ivs.sty}}
     {\relax}
%
  \@ifundefined{@InstitutionPostAddress#1}
     {\@latexerr{InstitutionPostAddress{#1} was not defined}
     {Please check syntax of the institution list. Refer to manual of ivs.sty}}
     {\relax}
%
  \@ifundefined{@InstitutionCountry#1}
     {\@latexerr{InstitutionCountry{#1} was not defined}
     {Please check syntax of the institution list. Refer to manual of ivs.sty}}
     {\relax}
%
  \@ifundefined{@InstitutionFax#1}
     {\@latexerr{InstitutionFax{#1} was not defined}
     {Please check syntax of the institution list. Refer to manual of ivs.sty}}
     {\relax}
%
  \@ifundefined{@InstitutionWebPage#1}
     {\@latexerr{InstitutionWebPage{#1} was not defined}
     {Please check syntax of the institution list. Refer to manual of ivs.sty}}
     {\relax}
}
\def\@CheckContactAuthorReference#1{
   \@CheckIntegerArg{#1}
   \ifnum\@nameuse{@#1}<0
     {\@latexerr{Negative index in \ContactAuthior }
      {Please check syntax of the institution list. Refer to manual of ivs.sty}}
     {\relax}
   \fi
   \ifnum\@nameuse{@ContactAuthorReference}>\@nameuse{@NumberofAuthors}
     {\@latexerr{Too large index in \ContactAuthior }
      {Please check syntax of the institution list. Refer to manual of ivs.sty}}
     {\relax}
   \fi
}
%
%  --- Check: was the character arguemnt defined?
%
\def\@CheckCharArg#1{
\@ifundefined{@#1}
   {\@latexerr{#1 was not defined}
              {Please check syntax of the preamble. Refer to manual of ivs.sty}
   }
   {\relax}
}
%
%  --- Check: was the integer arguemnt defined?
%
\def\@CheckIntegerArg#1{
\@ifundefined{@#1}
   {\@latexerr{#1 was not defined}
              {Please check syntax of the preamble. Refer to manual of ivs.sty}
   }
   {\relax}
}
%
% --- Tolerance pharameters
%
\tolerance      = 600     % more loose test is allowed
\hfuzz          = 0.3mm   % more loose right edge alignment is allowed
%
% --- Margins
%
\footskip       =  10mm
\textheight     = 217mm
\textwidth      = 164mm
%
\if T\@MakeFooter
    \relax
    \typeout{Make footer}
  \else
    \gdef\@evenfoot{\hfill \thepage \hfill} 
    \gdef\@oddfoot {\hfill \thepage \hfill} 
    \typeout{Don't make footer}
\fi
%
\if T\@MakeHeader
    \relax
    \typeout{Make header}
  \else
    \gdef\@evenhead{\relax} 
    \gdef\@oddhead {\relax} 
    \typeout{Don't make header}
\fi
%
% and that is all for today...
%
