%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                         %
%                       .               %
%                                                                         %
%   ###  02-FEB-95    MESIPA.STY    V2.4 (c)   ..  20-MAY-95 ###  %
%                                                                         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%
% --------   
%
\textwidth  = 163mm
\textheight = 225mm

%
% -------   
%
\righthyphenmin=2   %%     .
\tolerance=600      %%    200.    .
\hfuzz=0.2mm        %%      
\parindent=2em      %%         
\frenchspacing      %%        
 
\def\fps@figure{htp}
\def\fps@table{htb}
%
% ----------  7  :
%
% 1) \Rauthor    --    
% 2) \Rtitle     --   
% 3) \Rabstract  --   
% 4) \Nummes     --   
% 5) \Eauthor    --      
% 6) \Etitle     --     
% 7) \Eabstract  --     
%
%    \begin{document}   \maketitle
%
\def\Rauthor#1{\gdef\@Rauthor{#1}}       %    
\def\Rtitle#1{\gdef\@Rtitle{#1}}         %   
\def\Rabstract#1{\gdef\@Rabstract{#1}}   %   
\def\Nummes#1{\gdef\@Nummes{#1}}         %   
\def\Eauthor#1{\gdef\@Eauthor{#1}}       %      .
\def\Etitle#1{\gdef\@Etitle{#1}}         %     
\def\Eabstract#1{\gdef\@Eabstract{#1}}   %     

%
% -------     
%
\gdef\@Rauthor{ {\it  ?} }
\gdef\@Rtitle{ {\it  ?} }
\gdef\@Rabstract{ {\it   ? } }
\gdef\@Nummes{ \makebox[2em]{} }
\gdef\@Eauthor{ {\it Who is author?} }
\gdef\@Etitle{ {\it What is the title?} }
\gdef\@Eabstract{ {\it Where the content of the abstract? } }
%
\def\begnum#1{
  \global\c@page \z@ \advance\c@page by #1                 %  
          \gdef\thepage{\csname @arabic\endcsname \c@page} %   {#1}-
             }
%
% ------     
%
\def\maketitle{\par
  \def\thepage{}  %        
  \begingroup
     \def\thefootnote{ \fnsymbol{footnote} }
     \def\@makefnmark{ \hbox to 0pt{$^{\@thefnmark}$\hss} }
     \newpage \global\@topnum\z@ \@maketitle
     \thispagestyle{plain}\@thanks
  \endgroup
  \setcounter{footnote}{0}
  \let\maketitle\relax
  \let\@maketitle\relax
  \gdef\@thanks{}\gdef\@author{}\gdef\@title{}\let\thanks\relax
%
  \begnum{3}  %      3-
}
\def\@maketitle{
%
% ---------  1- 
%
      \newpage
      \null\vskip 2em
      \begin{center}{  \lineskip .5em
                       \begin{tabular}[t]{c}
                                        \\
                                
                       \end{tabular}
                    }
      \end{center}
%
      \vspace{30mm}
      \flushright{N \@Nummes}
      \vspace{20mm}
%
      \begin{flushleft}
        {  \large \lineskip .5em
           \begin{center}
                  \begin{tabular}[h]{l}
                         \@Rauthor
                  \end{tabular}
           \end{center}
           \par
           \vskip 1.5em
           \begin{flushleft}
                  \LARGE \bf \@Rtitle \par
           \end{flushleft}
        }
      \end{flushleft}
%
      \vfill
      \centerline{ - }
%
% ---------  2- 
%
      \newpage
      \null\vskip 2em
      {  \large \lineskip .5em
         \begin{center}
                \begin{tabular}[h]{l}
                       \@Eauthor
                \end{tabular}
         \end{center}
         \par
         \vskip 1.5em
         \begin{flushleft}
                \LARGE \bf \@Etitle \par
         \end{flushleft}
      }
      \par
      \vskip 1.5em
      \centerline{ \bf Abstract \vspace{-.5em}\vspace{0pt} }
      \bigskip \quotation {\small \@Eabstract} \endquotation \bigskip
%
      \vfill
      \copyright\ , \number\year
%
% ---------  3- 
%
      \newpage
      \null\vskip 2em
      \centerline{ \bf  \vspace{-.5em}\vspace{0pt} }
      \bigskip \quotation {\small \@Rabstract} \endquotation
      \bigskip\bigskip
    }

%
% ---------  .   \end{document}
%
\def\makefarewell{ \par
    \vfill
    \begin{tabular}{lr}
             , .  & \qquad . 180, . . . \vspace{1em} \\
                            & \qquad {\it   }
     \end{tabular}
     }

%
% -----      .     ,
% -----    \varepsilon  \varphi
%
\mathchardef\epsilon="0122
\mathchardef\phi="0127
