%
% atbd.cls v 0.1  2014.01.10_19:39:00
%
\typeout{Document Style from atbd.cls `atbd class version 0.1' <2014.01.10>}
%
%  atbd.sty was created by L. Petrov
%
%  NEW COMMANDS:
%  ~~~~~~~~~~~~~
%
%  \PublicationName{NAME}   -- Publication name.
%                              Example:
%                                  \PublicationName{IVS Annual report, 1999}
%
%  \PublicationType{TYPE}   -- publication type. One of the list:
%                              report, proceedings
%                              Example: \PublicationType{report}
%\def\contentsname  {Contents} 
%\def\listfigurename{List of Figures}
%\def\listtablename {List of Tables} 
%\def\abstractname  {Abstract}
%\def\refname       {References} 
%\def\indexname     {Index}
%\def\figurename    {Figure} 
%\def\tablename     {Table}

\@options
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{article}
              [2005/09/16 v1.4f
 Standard LaTeX document class]
\newcommand\@ptsize{}
\newif\if@restonecol
\newif\if@titlepage
\@titlepagefalse
\if@compatibility\else
\DeclareOption{a4paper}
   {\setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}}
\DeclareOption{a5paper}
   {\setlength\paperheight {210mm}%
    \setlength\paperwidth  {148mm}}
\DeclareOption{b5paper}
   {\setlength\paperheight {250mm}%
    \setlength\paperwidth  {176mm}}
\DeclareOption{letterpaper}
   {\setlength\paperheight {11in}%
    \setlength\paperwidth  {8.5in}}
\DeclareOption{legalpaper}
   {\setlength\paperheight {14in}%
    \setlength\paperwidth  {8.5in}}
\DeclareOption{executivepaper}
   {\setlength\paperheight {10.5in}%
    \setlength\paperwidth  {7.25in}}
\DeclareOption{landscape}
   {\setlength\@tempdima   {\paperheight}%
    \setlength\paperheight {\paperwidth}%
    \setlength\paperwidth  {\@tempdima}}
\fi
\if@compatibility
  \renewcommand\@ptsize{0}
\else
\DeclareOption{10pt}{\renewcommand\@ptsize{0}}
\fi
\DeclareOption{11pt}{\renewcommand\@ptsize{1}}
\DeclareOption{12pt}{\renewcommand\@ptsize{2}}
\if@compatibility\else
\DeclareOption{oneside}{\@twosidefalse \@mparswitchfalse}
\fi
\DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\if@compatibility\else
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\fi
\DeclareOption{titlepage}{\@titlepagetrue}
\if@compatibility\else
\DeclareOption{notitlepage}{\@titlepagefalse}
\fi
\if@compatibility\else
\DeclareOption{onecolumn}{\@twocolumnfalse}
\fi
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}%
}
\ExecuteOptions{letterpaper,10pt,oneside,onecolumn,final}
\ProcessOptions
\input{size1\@ptsize.clo}
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{}
\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{2}
\renewcommand\topfraction{.7}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.3}
\setcounter{totalnumber}{3}
\renewcommand\textfraction{.2}
\renewcommand\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\renewcommand\dbltopfraction{.7}
\renewcommand\dblfloatpagefraction{.5}
\if@twoside
  \def\ps@headings{%
      \let\@oddfoot\@empty\let\@evenfoot\@empty
      \def\@evenhead{\thepage\hfil\slshape\leftmark}%
      \def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
      \let\@mkboth\markboth
    \def\sectionmark##1{%
      \markboth {\MakeUppercase{%
        \ifnum \c@secnumdepth >\z@
          \thesection\quad
        \fi
        ##1}}{}}%
    \def\subsectionmark##1{%
      \markright {%
        \ifnum \c@secnumdepth >\@ne
          \thesubsection\quad
        \fi
        ##1}}}
\else
  \def\ps@headings{%
    \let\@oddfoot\@empty
    \def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
    \let\@mkboth\markboth
    \def\sectionmark##1{%
      \markright {\MakeUppercase{%
        \ifnum \c@secnumdepth >\m@ne
          \thesection\quad
        \fi
        ##1}}}}
\fi
\def\ps@myheadings{%
    \let\@oddfoot\@empty\let\@evenfoot\@empty
    \def\@evenhead{\thepage\hfil\slshape\leftmark}%
    \def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
    \let\@mkboth\@gobbletwo
    \let\sectionmark\@gobble
    \let\subsectionmark\@gobble
    }
  \if@titlepage
  \newcommand\maketitle{\begin{titlepage}%
  \let\footnotesize\small
  \let\footnoterule\relax
  \let \footnote \thanks
  \null\vfil
  \vskip 60\p@
  \begin{center}%
    {\LARGE \@title \par}%
    \vskip 3em%
    {\large
     \lineskip .75em%
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
      \vskip 1.5em%
    {\large \@date \par}%       % Set date in \large size.
  \end{center}\par
  \@thanks
  \vfil\null
  \end{titlepage}%
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
}
\else
\newcommand\maketitle{\par
  \begingroup
    \renewcommand\thefootnote{\@fnsymbol\c@footnote}%
    \def\@makefnmark{\rlap{\@textsuperscript{\normalfont\@thefnmark}}}%
    \long\def\@makefntext##1{\parindent 1em\noindent
            \hb@xt@1.8em{%
                \hss\@textsuperscript{\normalfont\@thefnmark}}##1}%
    \if@twocolumn
      \ifnum \col@number=\@ne
        \@maketitle
      \else
        \twocolumn[\@maketitle]%
      \fi
    \else
      \newpage
      \global\@topnum\z@   % Prevents figures from going at top of page.
      \@maketitle
    \fi
    \thispagestyle{plain}\@thanks
  \endgroup
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
}
\def\@maketitle{%
  \newpage
  \null
  \vskip 2em%
  \begin{center}%
  \let \footnote \thanks
    {\LARGE \@title \par}%
    \vskip 1.5em%
    {\large
      \lineskip .5em%
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
    \vskip 1em%
    {\large \@date}%
  \end{center}%
  \par
  \vskip 1.5em}
\fi
\setcounter{secnumdepth}{3}
\newcounter {part}
\newcounter {section}
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
\renewcommand \thepart {\@Roman\c@part}
\renewcommand \thesection {\@arabic\c@section}
\renewcommand\thesubsection   {\thesection.\@arabic\c@subsection}
\renewcommand\thesubsubsection{\thesubsection .\@arabic\c@subsubsection}
\renewcommand\theparagraph    {\thesubsubsection.\@arabic\c@paragraph}
\renewcommand\thesubparagraph {\theparagraph.\@arabic\c@subparagraph}
\newcommand\part{%
   \if@noskipsec \leavevmode \fi
   \par
   \addvspace{4ex}%
   \@afterindentfalse
   \secdef\@part\@spart}

\def\@part[#1]#2{%
    \ifnum \c@secnumdepth >\m@ne
      \refstepcounter{part}%
      \addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
    \else
      \addcontentsline{toc}{part}{#1}%
    \fi
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \normalfont
     \ifnum \c@secnumdepth >\m@ne
       \Large\bfseries \partname\nobreakspace\thepart
       \par\nobreak
     \fi
     \huge \bfseries #2%
     \markboth{}{}\par}%
    \nobreak
    \vskip 3ex
    \@afterheading}
\def\@spart#1{%
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \normalfont
     \huge \bfseries #1\par}%
     \nobreak
     \vskip 3ex
     \@afterheading}
\newcommand\section{\@startsection {section}{1}{\z@}%
                                   {-3.5ex \@plus -1ex \@minus -.2ex}%
                                   {2.3ex \@plus.2ex}%
                                   {\normalfont\Large\bfseries}}
\newcommand\subsection{\@startsection{subsection}{2}{\z@}%
                                     {-3.25ex\@plus -1ex \@minus -.2ex}%
                                     {1.5ex \@plus .2ex}%
                                     {\normalfont\large\bfseries}}
\newcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                                     {-3.25ex\@plus -1ex \@minus -.2ex}%
                                     {1.5ex \@plus .2ex}%
                                     {\normalfont\normalsize\bfseries}}
\newcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
                                    {3.25ex \@plus1ex \@minus.2ex}%
                                    {-1em}%
                                    {\normalfont\normalsize\bfseries}}
\newcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
                                       {3.25ex \@plus1ex \@minus .2ex}%
                                       {-1em}%
                                      {\normalfont\normalsize\bfseries}}
\if@twocolumn
  \setlength\leftmargini  {2em}
\else
  \setlength\leftmargini  {2.5em}
\fi
\leftmargin  \leftmargini
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv  {.5em}
  \setlength\leftmarginvi {.5em}
\else
  \setlength\leftmarginv  {1em}
  \setlength\leftmarginvi {1em}
\fi
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\theenumi.}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{\textbullet}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{\textasteriskcentered}
\newcommand\labelitemiv{\textperiodcentered}
\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
                                \normalfont\bfseries #1}
\if@titlepage
  \newenvironment{abstract}{%
      \titlepage
      \null\vfil
      \@beginparpenalty\@lowpenalty
      \begin{center}%
        \bfseries \abstractname
        \@endparpenalty\@M
      \end{center}}%
     {\par\vfil\null\endtitlepage}
\else
  \newenvironment{abstract}{%
      \if@twocolumn
        \section*{\abstractname}%
      \else
        \small
        \begin{center}%
          {\bfseries \abstractname\vspace{-.5em}\vspace{\z@}}%
        \end{center}%
        \quotation
      \fi}
      {\if@twocolumn\else\endquotation\fi}
\fi
\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}
\if@compatibility
\newenvironment{titlepage}
    {%
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \setcounter{page}\z@
    }%
    {\if@restonecol\twocolumn \else \newpage \fi
    }
\else
\newenvironment{titlepage}
    {%
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \setcounter{page}\@ne
    }%
    {\if@restonecol\twocolumn \else \newpage \fi
     \if@twoside\else
        \setcounter{page}\@ne
     \fi
    }
\fi
\newcommand\appendix{\par
  \setcounter{section}{0}%
  \setcounter{subsection}{0}%
  \gdef\thesection{\@Alph\c@section}}
\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
\renewcommand \theequation {\@arabic\c@equation}
\newcounter{figure}
\renewcommand \thefigure {\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename\nobreakspace\thefigure}
\newenvironment{figure}
               {\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@dblfloat{figure}}
               {\end@dblfloat}
\newcounter{table}
\renewcommand\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename\nobreakspace\thetable}
\newenvironment{table}
               {\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@dblfloat{table}}
               {\end@dblfloat}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{10\p@}
\setlength\belowcaptionskip{0\p@}
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{#1: #2}%
  \ifdim \wd\@tempboxa >\hsize
    #1: #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
\newcommand\@pnumwidth{1.55em}
\newcommand\@tocrmarg{2.55em}
\newcommand\@dotsep{4.5}
\setcounter{tocdepth}{3}
\newcommand\tableofcontents{%
    \section*{\contentsname
        \@mkboth{%
           \MakeUppercase\contentsname}{\MakeUppercase\contentsname}}%
    \@starttoc{toc}%
    }
\newcommand*\l@part[2]{%
  \ifnum \c@tocdepth >-2\relax
    \addpenalty\@secpenalty
    \addvspace{2.25em \@plus\p@}%
    \setlength\@tempdima{3em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      {\leavevmode
       \large \bfseries #1\hfil \hb@xt@\@pnumwidth{\hss #2}}\par
       \nobreak
       \if@compatibility
         \global\@nobreaktrue
         \everypar{\global\@nobreakfalse\everypar{}}%
      \fi
    \endgroup
  \fi}
\newcommand*\l@section[2]{%
  \ifnum \c@tocdepth >\z@
    \addpenalty\@secpenalty
    \addvspace{1.0em \@plus\p@}%
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode \bfseries
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
    \endgroup
  \fi}
\newcommand*\l@subsection{\@dottedtocline{2}{1.5em}{2.3em}}
\newcommand*\l@subsubsection{\@dottedtocline{3}{3.8em}{3.2em}}
\newcommand*\l@paragraph{\@dottedtocline{4}{7.0em}{4.1em}}
\newcommand*\l@subparagraph{\@dottedtocline{5}{10em}{5em}}
\newcommand\listoffigures{%
    \section*{\listfigurename}%
      \@mkboth{\MakeUppercase\listfigurename}%
              {\MakeUppercase\listfigurename}%
    \@starttoc{lof}%
    }
\newcommand*\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand\listoftables{%
    \section*{\listtablename}%
      \@mkboth{%
          \MakeUppercase\listtablename}%
         {\MakeUppercase\listtablename}%
    \@starttoc{lot}%
    }
\let\l@table\l@figure
\newdimen\bibindent
\setlength\bibindent{1.5em}
\newenvironment{thebibliography}[1]
     {\section*{\refname}%
      \@mkboth{\MakeUppercase\refname}{\MakeUppercase\refname}%
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}
\let\@openbib@code\@empty
\newenvironment{theindex}
               {\if@twocolumn
                  \@restonecolfalse
                \else
                  \@restonecoltrue
                \fi
                \twocolumn[\section*{\indexname}]%
                \@mkboth{\MakeUppercase\indexname}%
                        {\MakeUppercase\indexname}%
                \thispagestyle{plain}\parindent\z@
                \parskip\z@ \@plus .3\p@\relax
                \columnseprule \z@
                \columnsep 35\p@
                \let\item\@idxitem}
               {\if@restonecol\onecolumn\else\clearpage\fi}
\newcommand\@idxitem{\par\hangindent 40\p@}
\newcommand\subitem{\@idxitem \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\newcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
\renewcommand\footnoterule{%
  \kern-3\p@
  \hrule\@width.4\columnwidth
  \kern2.6\p@}
\newcommand\@makefntext[1]{%
    \parindent 1em%
    \noindent
    \hb@xt@1.8em{\hss\@makefnmark}#1}
\newcommand\contentsname{Contents}
\newcommand\listfigurename{List of Figures}
\newcommand\listtablename{List of Tables}
\newcommand\refname{References}
\newcommand\indexname{Index}
\newcommand\figurename{Figure}
\newcommand\tablename{Table}
\newcommand\partname{Part}
\newcommand\appendixname{Appendix}
\newcommand\abstractname{Abstract}
\def\today{\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\day, \number\year}
\setlength\columnsep{10\p@}
\setlength\columnseprule{0\p@}
\pagestyle{plain}
\pagenumbering{arabic}
\if@twoside
\else
  \raggedbottom
\fi
\if@twocolumn
  \twocolumn
  \sloppy
  \flushbottom
\else
  \onecolumn
\fi
%\endinput
%  End of article.cls
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% ATBD specific definitions
% ~~~~~~~~~~~~~~~~~~~~~~~~
%
%     RE-DEFINITIONS
%
%
% --- Re-definition of caption "." instead of ":" is put between the
% --- caption counter and caption name
%
\long\def\@makecaption#1#2{\vskip 9pt \setbox\@tempboxa
         \hbox{\small #1. #2}
         \ifdim \wd\@tempboxa >\hsize{\small #1. #2}\par \else \hbox to\hsize
                {\hfil\box\@tempboxa\hfil}
         \fi}
%
% --- Re-definition of sections. Identation in the first paragraph of the
% --- section is allowed.
%
\def\@spart#1{{\parindent 0pt \raggedright
 \huge \bf
 #1\par} \nobreak \vskip 3ex \@afterheading }
\def\section{\@startsection {section}{1}{\z@}{3.5ex plus -1ex minus
 -.2ex}{2.3ex plus .2ex}{\large\bf}}
\def\subsection{\@startsection{subsection}{2}{\z@}{3.25ex plus -1ex minus
 -.2ex}{1.5ex plus .2ex}{\large\bf}}
\def\subsubsection{\@startsection{subsubsection}{3}{\z@}{3.25ex plus
 -1ex minus -.2ex}{1.5ex plus .2ex}{\normalsize\bf}}
\def\paragraph{\@startsection
 {paragraph}{4}{\z@}{3.25ex plus 1ex minus .2ex}{-1em}{\normalsize\bf}}
\def\subparagraph{\@startsection
 {subparagraph}{4}{\parindent}{3.25ex plus 1ex minus
 .2ex}{-1em}{\normalsize\bf}}
%
% --- Re-definition of sect in order to add a dot after a section name.
% --- Decreased space between the dot after the section name and the section
% --- name
%
\def\@sect#1#2#3#4#5#6[#7]#8{\ifnum #2>\c@secnumdepth
     \let\@svsec\@empty\else
     \refstepcounter{#1}\edef\@svsec{\csname the#1\endcsname.\hskip 0.5em}\fi
     \@tempskipa #5\relax
      \ifdim \@tempskipa>\z@
        \begingroup #6\relax
          \@hangfrom{\hskip #3\relax\@svsec}{\interlinepenalty \@M #8\par}%
        \endgroup
       \csname #1mark\endcsname{#7}\addcontentsline
         {toc}{#1}{\ifnum #2>\c@secnumdepth \else
                      \protect\numberline{\csname the#1\endcsname}\fi
                    #7}\else
        \def\@svsechd{#6\hskip #3\relax  %% \relax added 2 May 90
                   \@svsec #8\csname #1mark\endcsname
                      {#7}\addcontentsline
                           {toc}{#1}{\ifnum #2>\c@secnumdepth \else
                             \protect\numberline{\csname the#1\endcsname}\fi
                       #7}}\fi
     \@xsect{#5}}
%
% --- Changed interval between items in the list of the first level --
% --- interval set less.
%
\def\@listI{\leftmargin\leftmargini \parsep 3pt plus 1.5pt minus 1pt\topsep
5pt plus 2pt minus 3pt\itemsep 3pt plus 1.5pt minus 1pt}
\let\@listi\@listI
\@listi
%
% --- Redefinition of \thebibliography. Fontsize was changed to \small
% --- (10-JUN-99)
%
\def\thebibliography#1{\section*{\refname\@mkboth
 {\uppercase{\refname}}{\uppercase{\refname}}}\small\list
 {[\arabic{enumi}]}{\settowidth\labelwidth{[#1]}\leftmargin\labelwidth
 \advance\leftmargin\labelsep
 \usecounter{enumi}}
 \def\newblock{\hskip .11em plus .33em minus .07em}
 \sloppy\clubpenalty4000\widowpenalty4000
 \sfcode`\.=1000\relax}
\let\endthebibliography=\endlist
%
% --- Definition of Headers
%
\gdef\@oddhead{\parbox{\textwidth}{\footnotesize%
   \ifx \@PublicationType \@StringProceedings
        \ifnum \c@page = \start@counter
%
% ---------- In the case of Proceedings and first page we put two items at 
% ---------- the header: Citation and URL
%
             \@nameuse{@Citation} \ \\
	     \if F\@nameuse{@UrlExtension}
	          \@nameuse{@Url} 
	        \else
	          \@nameuse{@Url}\jobname\@nameuse{@UrlExtension}
	     \fi
             \par\vspace{-6ex}\par\noindent\
	   \else
%
% ---------- Normal header
%
             \@FirstHeaderText\hfill%
             \par\vspace{-2ex}\par\noindent\rule{\textwidth}{0.1mm}
	\fi
      \else
             \@FirstHeaderText\hfill\@SecondHeaderText%
             \par\vspace{-2ex}\par\noindent\rule{\textwidth}{0.1mm}
   \fi
}}
%
\gdef\@evenhead{\parbox{\textwidth}{\footnotesize%
   \ifx \@PublicationType \@StringProceedings
        \ifnum \c@page = \start@counter
%
% ---------- In the case of Proceedings and first page we put two items at 
% ---------- the header: Citation and URL
%
             \@nameuse{@Citation} \ \\
	     \if F\@nameuse{@UrlExtension}
	          \@nameuse{@Url} 
	        \else
	          \@nameuse{@Url}\jobname\@nameuse{@UrlExtension}
	     \fi
             \par\vspace{-6ex}\par\noindent\
          \else
%
% ---------- Normal header
%
             \@FirstHeaderText\hfill%
             \par\vspace{-2ex}\par\noindent\rule{\textwidth}{0.1mm}
	\fi
      \else
             \@SecondHeaderText\hfill\@FirstHeaderText%
             \par\vspace{-2ex}\par\noindent\rule{\textwidth}{0.1mm}
   \fi
}}
%
% --- Definition of Footers
%
\def\@oddfoot{\parbox{\textwidth}{\footnotesize
    \par\noindent\footnotesize\rule{\textwidth}{0.1mm}%
    \par\vspace{0.1ex}\par\noindent\@nameuse{@FooterText}\hfill\thepage}}
%
\def\@evenfoot{\parbox{\textwidth}{\footnotesize
    \par\noindent\footnotesize\rule{\textwidth}{0.1mm}%
    \par\vspace{0.1ex}\par\noindent\thepage\hfill\@nameuse{@FooterText}}}
%
% --- Redefined \enddocument in order to write the last page number in
% --- {jobname}.frm file (27-JUN-99) (Corrected on 15-JUL-99)
%
\newcount\@IfCounter
\def\if@one#1#2#3{ 
	          \@IfCounter=\@nameuse{#1}
                  \ifnum \@IfCounter=1
                         #2
                     \else                  
                         #3
                  \fi
                 }
\def\if@zero#1#2#3{ 
	          \@IfCounter=\@nameuse{#1}
                  \ifnum \@IfCounter=0
                         #2
                     \else                  
                         #3
                  \fi
                 }
%
\def\enddocument{\@checkend{document}\leavevmode
\clearpage
%
\let\c@lastpage=\c@page
\advance\c@lastpage by -1
%
\begingroup
\if@filesw \immediate\closeout\@mainaux
\def\global\@namedef##1##2{}\def\newlabel{\@testdef r}%
\def\bibcite{\@testdef b}\@tempswafalse \makeatletter\input \jobname.aux
\if@tempswa \@@warning{Label(s) may have changed.  Rerun to get
cross-references right}\fi\fi\endgroup\deadcycles\z@\@@end}
%
% --- definition accents as it had been done in plain TeX (refer to TeX-book,
% --- page 356 ). Version of LaTeX 99.6.2 (and probably older, but not older 
% --- than 96.3.29) re-defines accents by using \@ commands what makes 
% --- impossible to use expanded text in another LaTeX documents. These 
% --- definitions have been copied from plain.tex file.
%
\def\`#1{{\accent18 #1}}
\def\'#1{{\accent19 #1}}
\def\v#1{{\accent20 #1}} \let\^^_=\v
\def\u#1{{\accent21 #1}} \let\^^S=\u
\def\=#1{{\accent22 #1}}
\def\^#1{{\accent94 #1}} \let\^^D=\^
\def\.#1{{\accent95 #1}}
\def\H#1{{\accent"7D #1}}
\def\~#1{{\accent"7E #1}}
\def\"#1{{\accent"7F #1}}
\def\t#1{{\edef\next{\the\font}\the\textfont1\accent"7F\next#1}}
%
\chardef\%=`\%
\chardef\&=`\&
\chardef\#=`\#
\chardef\$=`\$
\chardef\ss="19
\chardef\ae="1A
\chardef\oe="1B
\chardef\o="1C
\chardef\AE="1D
\chardef\OE="1E
\chardef\O="1F
\chardef\i="10 \chardef\j="11 % dotless letters
\def\aa{\accent23a}
\def\l{\char32l}
\def\L{\leavevmode\setbox0\hbox{L}\hbox to\wd0{\hss\char32L}}
\def\AA{\leavevmode\setbox0\hbox{h}\dimen@\ht0\advance\dimen@-1ex%
  \rlap{\raise.67\dimen@\hbox{\char'27}}A}
%
%  --- Check: was the character arguemnt defined?
%
\def\@CheckCharArg#1{
\@ifundefined{@#1}
   {\@latexerr{#1 was not defined}
              {Please check syntax of the preamble. Refer to manual of ivs.sty}
   }
   {\relax}
}
%
%  --- Check: was the integer arguemnt defined?
%
\def\@CheckIntegerArg#1{
\@ifundefined{@#1}
   {\@latexerr{#1 was not defined}
              {Please check syntax of the preamble. Refer to manual of ivs.sty}
   }
   {\relax}
}
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%     DEFINITIONS OF NEW COMMANDS
%
%
% --- Global version of @namedef
%
\def\@gnamedef#1{\expandafter\gdef\csname #1\endcsname}
%
%
% --- Definitions of default values of editors commands. These defaults
% --- are used when no editoral file {jobname}.ivs was found in the current
% --- directory
%
\gdef\@PreparedBy{???}
\gdef\@PreparedCode{???}
\gdef\@ReleaseDate{TBD}
%
% --- Read input file {jobname}.atbd (05-JUN-99)
%
\def\@Input#1{\openin\@inputcheck #1 \ifeof\@inputcheck
                \relax
              \else\closein\@inputcheck \relax\@@input #1
                 \typeout {Read input file: #1}
              \fi}
%
% --- Now check: if the file {jobname}.atbd exist then read it. (05-JUN-99)
%
\@Input{\jobname.atbd}
%
% --- Open the output file for information about the presentation.
% --- frm-file is for making Web page, table of content, list of authors,
% --- list of institutions and so on. It will be processed by special software.
%
\newwrite\@frmfile
\immediate\openout\@frmfile=\jobname.frm
%
% --- Template defintions for TITLE section. @-analog is defined for each
% --- macros. And its ocntent is written to the frm-file.
%
\gdef\TitleA#1{\gdef\@TitleA{#1}
\immediate\write\@frmfile{\string TitleA: #1} }
\gdef\TitleB#1{\gdef\@TitleB{#1}
\immediate\write\@frmfile{\string TitleB: #1} }

\gdef\PreparedBy#1{\@namedef{@PreparedBy}{#1}
\immediate\write\@frmfile{\string PreparedBy: #1} }

\gdef\PreparedCode#1{\@namedef{@PreparedCode}{#1}
\immediate\write\@frmfile{\string PreparedCode: #1} }

\gdef\PaperId#1{\@namedef{@PaperId}{#1}
\immediate\write\@frmfile{\string PaperId: #1} }
\newcommand{\thePaperId}{\@PaperId}

\gdef\Draft#1{\@namedef{@Draft}{#1}
\immediate\write\@frmfile{\string Draft #1} }

\gdef\ReleaseDate#1{\@namedef{@ReleaseDate}{#1}
\immediate\write\@frmfile{\string ReleaseDate #1} }
\newcommand{\theReleaseDate}{\@ReleaseDate}

%
% --- Tolerance pharameters
%
\tolerance      = 600     % more loose test is allowed
\hfuzz          = 0.3mm   % more loose right edge alignment is allowed
%
% --- Margins
%
\footskip       =  10mm
\textheight     = 220mm
\textwidth      = 160mm
%
\gdef\MakeTitle{
%
% --- First checks of the general arguments. All of them should be defined
%
   \@CheckCharArg{TitleA}
   \@CheckCharArg{PaperId}
   \@CheckCharArg{PreparedBy}
   \@CheckCharArg{PreparedCode}
%
% --- Now make the title
%
%
%  --- Print title name
%
     \vbox{
       \null
       \hspace{0.091\textwidth}\rule[-20mm]{1.2mm}{169mm}
       \par\vspace{2mm}\par
       \includegraphics[width=0.183\textwidth]{nasa_logo.eps}
       \par\vspace{-16.mm}\hspace{0.20\textwidth}
       \hspace{-4mm}\rule{35mm}{1.2mm} {\bf Goddard Space Flight Center }\rule{35mm}{1.2mm} 
       \par\medskip\par
       \hspace{72mm} {\bf Greenbelt, Maryland}
       \par\vspace{6mm}\par
       \begin{minipage}{40mm}
           \sf
           National Aeronautic and \\
           \phantom{o} Space Administration
       \end{minipage}

       \vspace{-224mm}
       \hfill {\bf \@PaperId}
       \@ifundefined{@Draft}
         {\par\vspace{30mm}}
%%         {\centerline{Draft of \@Draft \par\vspace{25mm}}}
         {\par\vspace{10mm}\par\hspace{64mm}
           \Rdb{\Large Draft of \@Draft}
          \par\vspace{10mm}\hspace{80mm}\par
         }
       
       \par\hspace{5mm}
       \begin{minipage}{150mm}
           \begin{center}
              \Large\bf
              ICE, CLOUD, and Land Elevation Satellite \\
              (ICESat-2) Project \vspace{15mm} \\
              \LARGE\bf Algorithm Theoretical Basis Document \\
              (ATBD) \\
              for \vspace{5mm} \\
              \@TitleA \\
              \@TitleB  \vspace{25mm} \\
              \large\bf
              Prepared By: \@PreparedBy \enskip /Code: \@PreparedCode \\
           \end{center}
       \end{minipage}
%
%       \vspace{88mm}\hspace{33mm}
       \vspace{86mm}\hspace{33mm}
%       \begin{minipage}{150mm}
          \begin{center}
              \sc
              check {\rm https://icesatiimis.gsfc.nasa.gov} \\
              to verify that this is the correct version prior to use 
          \end{center}
%       \end{minipage}
     } % vbox
   \thispagestyle{empty}

   \newpage
   \pagenumbering{roman}
   \centerline{\Large\bf CM Foreword } \par\bigskip\bigskip\par

   This document is an Ice, Cloud, and Land Elevation (ICESat-2) Project Science Office
   controlled document. Changes to this document require prior approval of the Science
   Development Team ATBD Lead or designee. Proposed changes shall be submitted in the
   ICESat-II Management Information System (MIS) via a Signature Controlled Request (SCoRe),
   along with supportive material justifying the proposed change.

   \par\medskip\par
   {\tt
   In this document, a requirement is identified by "shall," a good practice by   \\
   "should," permission by "may" or "can," expectation by "will," and descriptive \\
   material by "is."
   }

   \par\medskip\par
   Questions or comments concerning this document should be addressed to:

   \par\medskip\par
   \begin{flushleft}
      ICESat-2 Project Science Office \\
      Mail Stop 615 \\
      Goddard Space Flight Center \\
     Greenbelt, Maryland 20771
   \end{flushleft}
   \newpage

   \centerline{\Large\bf Preface } \par\bigskip\bigskip\par

   This document is the Algorithm Theoretical Basis Document for the TBD processing to be
   implemented at the ICESat-2 Science Investigator-led Processing System (SIPS). The SIPS
   supports the ATLAS (Advance Topographic Laser Altimeter System) instrument on the ICESat-
   2 Spacecraft and encompasses the ATLAS Science Algorithm Software (ASAS) and the
   Scheduling and Data Management System (SDMS). The science algorithm software will produce
   Level 0 through Level 4 standard data products as well as the associated product quality
   assessments and metadata information.

   \par\medskip\par
   The ICESat-2 Science Development Team, in support of the ICESat-2 Project Science Office
   (PSO), assumes responsibility for this document and updates it, as required, as algorithms are
   refined or to meet the needs of the ICESat-2 SIPS. Reviews of this document are performed
   when appropriate and as needed updates to this document are made. Changes to this document
   will be made by complete revision.

   \par\medskip\par
   Changes to this document require prior approval of the Change Authority listed on the signature
   page. Proposed changes shall be submitted to the ICESat-2 PSO, along with supportive material
   justifying the proposed change.

   \par\medskip\par
   Questions or comments concerning this document should be addressed to:

   \par\medskip\par
   \begin{flushleft}
      Thorsten Markus, ICESat-2 Project Scientist \\
      Mail Stop 615 \\
      Goddard Space Flight Center \\
      Greenbelt, Maryland 20771
   \end{flushleft}
   \newpage
   \pagenumbering{arabic}
}
\usepackage{graphicx}
\usepackage{epsf}
\usepackage{color}
\usepackage{natbib}
\usepackage{fancyhdr}
\newcommand{\pid}   {\par\hangindent=2em\hangafter=-9\noindent}
\newcommand{\ppid}  {\par\hangindent=4em\hangafter=-9\noindent}
\newcommand{\pppid} {\par\hangindent=6em\hangafter=-9\noindent}
\newcommand{\ppppid}{\par\hangindent=8em\hangafter=-9\noindent}
%\newcommand{\nthr}[1]{ \multicolumn{3}{ @{} l }{#1} }
\renewcommand{\epsilon}{\varepsilon}
\renewcommand{\phi}{\varphi}
\newcommand{\dint}{\int\hspace{-0.25em}\int}
\newcommand{\sinc}{\rm sinc }
\newcommand{\hh}{\hphantom}
\newcommand{\hp}{\hphantom{+}}
\newcommand{\vex}{\vspace{1ex}}
\newcommand{\vhex}{\vspace{0.5ex}}
\newcommand{\den}{\Frac{1}{c}\Frac{1}{1 + \Frac{1}{c}\lp \vec{V_{\earth}}(t_1)\, + \dmat{E}(e(t_1))\,\vec{r}_2\rp} }
\newcommand{\jgr}{Jour. Geophys. Res.}
\newcommand{\grl}{Geophys. Res. Let}
\renewcommand{\refname}{\par\vspace{-2ex}\par}
\definecolor{Dblue}{rgb} {0.152,0.268,0.720}
\definecolor{Dred}{rgb}{0.535,0.148,0.070}%0.312,0.070,0.070}
\definecolor{Dgreen}{rgb}{0.094,0.410,0.094}
\newcommand{\Blb}[1]{\textcolor{Dblue}{\bf #1}}
\newcommand{\Grb}[1]{\textcolor{Dgreen}{\bf #1}}
\newcommand{\Rdb}[1]{\textcolor{Dred}{\bf #1}}
\definecolor{LightSiren}{rgb}{0.900,0.850,0.980}
\definecolor{LightGreen}{rgb}{0.900,0.980,0.850}
\definecolor{LightBlue}{rgb}{0.921,0.941,0.972}
\newcommand{\vx}{\vspace{1ex}}
\newcommand{\bss}{\hspace{-2em}}
\newcommand{\hpp}{\hphantom{-}}
\newcommand{\fs}{\footnotesize}
\newcommand{\xx}{\mathbf x}
\newcommand{\ee}{\everymath=\expandafter{\the\everymath\scriptstyle}}
\newcommand{\HM}{\hphantom{M}}
%\newcommand{\hm}{\hphantom{-}}
\newcommand{\IF}{\mbox{\sf if }}
\newcommand{\ELIF}{\mbox{\sf else if }}
\newcommand{\ENDIF}{\mbox{\sf end if }}
\newcommand{\FOR}{\mbox{\sf for }}
\newcommand{\DO}{\mbox{\ \sf do }}
\newcommand{\PDO}{\mbox{\ \sf parallel do }}
\newcommand{\AND}{\mbox{\sf AND }}
\newcommand{\ENDDO}{\mbox{\sf end do }}
\newcommand{\THEN}{\mbox{\sf then }}
\newcommand{\ELSE}{\mbox{\sf else }}

\newcommand*{\Scale}[2][4]{\scalebox{#1}{\ensuremath{#2}}}%


\makeatletter\newenvironment{sirenbox}{%
       \noindent
       \begin{lrbox}{\@tempboxa}\begin{minipage}{0.99\columnwidth}}{\end{minipage}\end{lrbox}%
       \colorbox{LightSiren}{\usebox{\@tempboxa}}
}\makeatother
%
\makeatletter\newenvironment{greenbox}{%
       \noindent
       \begin{lrbox}{\@tempboxa}\begin{minipage}{0.99\columnwidth}}{\end{minipage}\end{lrbox}%
       \colorbox{LightGreen}{\usebox{\@tempboxa}}
}\makeatother
\makeatletter\newenvironment{greenboxik}{%
       \noindent
       \begin{lrbox}{\@tempboxa}\begin{minipage}{0.30\columnwidth}}{\end{minipage}\end{lrbox}%
       \colorbox{LightGreen}{\usebox{\@tempboxa}}
}\makeatother
%
\makeatletter\newenvironment{bluebox}{%
       \noindent
        \begin{lrbox}{\@tempboxa}\begin{minipage}{0.30\columnwidth}}{\end{minipage}\end{lrbox}%
        \colorbox{LightBlue}{\usebox{\@tempboxa}}
}\makeatother

\newcommand{\pet}[1]{\underline{\bf #1}}
\newcommand{\Number}[1]{\ifnum#1<10\relax0\number#1\else\number#1\fi}
\newcommand{\isodate}{
\count151=\time
\divide\count151 by 60
\count151=\count151
\multiply\count151 by 60
\count152=\time
\advance\count152 by -\count151
\divide\count151 by 60
\count152=\count151
\multiply\count151 by 60
\count153=\time
\advance\count153 by -\count151
%\Number{\year}.\Number{\month}.\Number{\day}--\Number{\count152}:\Number{\count153}
\Number{\year}.\Number{\month}.\Number{\day}
}
\usepackage{fancyhdr}
\pagestyle{fancy}
\rhead{\bf Paper \PaperId}
\lhead{}
\lfoot{}
\rfoot{\sc
       \vspace{-20mm}
       \begin{center}
           check {\rm https://icesatiimis.gsfc.nasa.gov} \\
           to verify that htis is the correct version prior to use 
       \end{center}
       }
\renewcommand{\headrulewidth}{0.0mm}
\renewcommand{\footrulewidth}{0.0mm}
\textwidth  = 165mm
\textheight = 218mm
\hoffset=-20mm
\newcommand{\web}[1]{\Blb{#1}}

%
% and that is all for today...
%
