\typeout{PASA style <2008.10.28>}
%
\def\changemargin#1#2{\list{}{\rightmargin#2\leftmargin#1}\item[]}
\let\endchangemargin=\endlist
\newcommand{\affil}[1]{$^{\rm #1}$}
%
% Do not change the page dimensions as these are approximately the size of
% the finished article.
\textwidth=16.1cm
\textheight=23.3 cm
\topmargin= 1.0cm
\oddsidemargin=0.5cm
\evensidemargin=0.5cm
\columnsep=0.8cm
\renewcommand{\baselinestretch}{.95}
\renewcommand\thefigure{\@arabic\c@figure}
\renewcommand\thetable{\@arabic\c@table}
\newcounter{auth}

\def\[{\relax\ifmmode\@badmath\else\begin{trivlist}\item[]\leavevmode
  \hbox to\linewidth\bgroup$
  \displaystyle
  \hskip\mathindent\bgroup\fi}

\def\]{\relax\ifmmode \egroup $\hfil
       \egroup \end{trivlist}\else \@badmath \fi}

\def\equation{\refstepcounter{equation}\trivlist \item[]\leavevmode
  \hbox to\linewidth\bgroup $
  \displaystyle
\hskip\mathindent}


\def\endequation{$\hfil
           \displaywidth\linewidth\@eqnnum\egroup \endtrivlist}

\def\eqnarray{\stepcounter{equation}\let\@currentlabel=\theequation
\global\@eqnswtrue
\global\@eqcnt\z@\tabskip\mathindent\let\\=\@eqncr
\abovedisplayskip\topsep\ifvmode\advance\abovedisplayskip\partopsep\fi
\belowdisplayskip\abovedisplayskip
\belowdisplayshortskip\abovedisplayskip
\abovedisplayshortskip\abovedisplayskip
$$\halign
to \linewidth\bgroup\@eqnsel\hskip\@centering$\displaystyle\tabskip\z@
  {##}$&\global\@eqcnt\@ne \hskip 2\arraycolsep \hfil${##}$\hfil
  &\global\@eqcnt\tw@ \hskip 2\arraycolsep $\displaystyle{##}$\hfil
   \tabskip\@centering&\llap{##}\tabskip\z@\cr}

\def\endeqnarray{\@@eqncr\egroup
 \global\advance\c@equation\m@ne$$\global\@ignoretrue}

\newdimen\mathindent
\mathindent = \z@


\@ifundefined{@PubYear}
  {\gdef\PubYear#1{\gdef\@PubYear{#1} }
  }
  {\gdef\PubYear#1{}
  }

\@ifundefined{@JournalNumber}
  {\gdef\JournalNumber#1{\gdef\@JournalNumber{#1} }
  }
  {\gdef\JournalNumber#1{}
  }
\@ifundefined{@PageNumber}
  {\gdef\PageNumber#1{\gdef\@PageNumber{#1} }
  }
  {\gdef\PageNumber#1{}
  }

\@ifundefined{@DOI}
  {\gdef\DOI#1{\gdef\@DOI{#1} }
  }
  {\gdef\DOI#1{}
  }

\@ifundefined{@ShortTitle}
  {\gdef\ShortTitle#1{\gdef\@ShortTitle{#1} }
  }
  {\gdef\ShortTitle#1{}
  }

\@ifundefined{@RunningAuthors}
  {\gdef\RunningAuthors#1{\gdef\@RunningAuthors{#1} }
  }
  {\gdef\RunningAuthors#1{}
  }

\@ifundefined{@ReceivedDate}
  {\gdef\ReceivedDate#1{\gdef\@ReceivedDate{#1} }
  }
  {\gdef\ReceivedDate#1{}
  }

\@ifundefined{@AcceptedDate}
  {\gdef\AcceptedDate#1{\gdef\@AcceptedDate{#1} }
  }
  {\gdef\AcceptedDate#1{}
  }

\@ifundefined{@PublishedDate}
  {\gdef\PublishedDate#1{\gdef\@PublishedDate{#1} }
  }
  {\gdef\PublishedDate#1{}
  }


\@ifundefined{@Abstract}
  {\gdef\Abstract#1{\gdef\@Abstract{#1} }
  }
  {\gdef\Abstract#1{}
  }

\@ifundefined{@keywords}
  {\gdef\keywords#1{\gdef\@keywords{#1} }
  }
  {\gdef\keywrods#1{}
  }

\@ifundefined{@AuthorList}
  {\gdef\AuthorList#1{\gdef\@AuthorList{#1} }
  }
  {\gdef\AuthorList#1{}
  }

\gdef\NumberofInstitutions#1{\gdef\@NumberofInstitutions{#1}}

\gdef\EmailAddress#1{\gdef\@EmailAddress{#1}}
\gdef\EmailAddressLetter#1{\gdef\@EmailAddressLetter{#1}}

\gdef\@InstitutionName{}{}
   \gdef\InstitutionName#1#2{\@namedef{@InstitutionName#1}{#2}}


%
%
%%%%%%%%%%%%   PAGE HEADERS     %%%%%%%%%%%%%%
\pagestyle{myheadings}
\markboth{\rm\small \@RunningAuthors}{\rm\small \@ShortTitle }
%
%
%
%%%%%%%  ADD ADDITIONAL PACKAGES HERE   %%%%%%%%%
%Citations may be made using the natbib commands \citet{},\citep{} etc.
\usepackage[authoryear]{natbib}
\bibpunct{(}{)}{;}{a}{}{,}
%Use of the graphicx package for figures is recommended, but other well-known
%packages, e.g. psfig are also acceptable.
\usepackage{graphicx}
%
%
\date{} %Please leave the date blank

\def\abstract{\topsep=0pt\partopsep=0pt\parsep=0pt\itemsep=0pt\relax
\trivlist\item[\hskip\labelsep
{\bfseries\abstractname}]\if!\abstractname!\hskip-\labelsep\fi}

\author{\parbox{\textwidth}{\flushleft
   \vspace{-0.5cm}
   {\it \@nameuse{@AuthorList} }\\
%
   \vspace{0.4cm}
%
   {\rm \small \affil{A}\,\@nameuse{@InstitutionName1}} \\
   \ifnum \@NumberofInstitutions > 1{
          {\rm \small \affil{B}\,\@nameuse{@InstitutionName2}}\\}\fi
   \ifnum \@NumberofInstitutions > 2{
          {\rm \small \affil{C}\,\@nameuse{@InstitutionName3}}\\}\fi
   \ifnum \@NumberofInstitutions > 3{
          {\rm \small \affil{D}\,\@nameuse{@InstitutionName4}}\\}\fi
   \ifnum \@NumberofInstitutions > 4{
          {\rm \small \affil{E}\,\@nameuse{@InstitutionName5}}\\}\fi
   \ifnum \@NumberofInstitutions > 5{
          {\rm \small \affil{F}\,\@nameuse{@InstitutionName6}}\\}\fi
   \ifnum \@NumberofInstitutions > 6{
          {\rm \small \affil{G}\,\@nameuse{@InstitutionName7}}\\}\fi
   \ifnum \@NumberofInstitutions > 7{
          {\rm \small \affil{H}\,\@nameuse{@InstitutionName8}}\\}\fi
   {\small \affil{\@nameuse{@EmailAddressLetter}}\rm \,Corresponding 
           author: E-mail: {\tt \@nameuse{@EmailAddress}}}
   }
}
\def\caption{\refstepcounter\@captype \@dblarg{\@caption\@captype}}


\long\def\@caption#1[#2]#3{\par\addcontentsline{\csname
  ext@#1\endcsname}{#1}{\protect\numberline{\csname
  the#1\endcsname}{\ignorespaces #2}}\begingroup
    \@parboxrestore
    \footnotesize
    \@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par
  \endgroup}

\long\def\@makecaption#1#2{
 \vskip 10pt 
 \setbox\@tempboxa\hbox{#1\quad #2}
 \ifdim \wd\@tempboxa >\hsize #1\quad #2\par \else \hbox
to\hsize{\hfil\box\@tempboxa\hfil} 
 \fi}


\renewcommand\thefigure{{\@arabic\c@figure}}
\renewcommand\thetable{{\@arabic\c@table}}
\def\figurename{\rm{\bf Figure}} 
\def\tablename{\rm{\bf Table}}

\newcommand{\pasamaketitle}{%
\thispagestyle{empty}
\twocolumn[
\begin{changemargin}{.8cm}{.5cm}
\begin{minipage}{.9\textwidth}
\vspace{-1cm}
\maketitle%

\vspace{-4ex}
{\it Received \@nameuse{@ReceivedDate}, accepted \@nameuse{@AcceptedDate}
               published\@nameuse{@PublishedDate}}
\medskip

\small{\bf Abstract:} \@nameuse{@Abstract}

\medskip{\bf Keywords:} \@nameuse{@keywords}
\medskip
\medskip
\end{minipage}
\end{changemargin}
]
\normalsize

}


% Define \acknowledgements
\def\acknowledgements{\par\addvspace{6pt}\small\rm
\trivlist\item[\hskip\labelsep{\em Acknowledgements.\/}]}
\def\endacknowledgements{\endtrivlist\addvspace{6pt}}

\def\rubric{\setbox0=\hbox{\small\strut}\@tempdima=\ht0\advance
\@tempdima\dp0\advance\@tempdima2\fboxsep\vrule\@height\@tempdima
\@width\z@}
\newdimen\rubricwidth
%
\newdimen\logodepth
\logodepth=1.2cm
\newdimen\headerboxheight
\headerboxheight=163pt % 18 10.5dd-lines - 2\baselineskip
\if@twocolumn\else\advance\headerboxheight by-14.5mm\fi
\newdimen\betweenumberspace          % dimension for space between
\betweenumberspace=3.33pt            % number and text of titles.
\newdimen\aftertext                  % dimension for space after
\aftertext=5pt                       % text of title.
\newdimen\headlineindent             % dimension for space between
\headlineindent=1.166cm              % number and text of headings.
%

\def\makeheadbox{{%
\hbox to0pt{\vbox{\baselineskip=10dd\hbox
to\hsize{\vbox{\hbox{{\sf CSIRO} PUBLISHING}}\hfil}}\hss}}}

\def\makefootbox{{%
\hbox to0pt{\vbox{\hbox to\hsize
{\vbox{\hbox{\hspace{-2.5em}\copyright Astronomical Society of Australia, 
\@PubYear \hspace{0.484\textwidth} \@DOI}}}}\hss}}}

\newbox\authrun
\newtoks\authorrunning
\def\nothanksmarks{\def\thanks##1{\protected@xdef\@thanks{\@thanks
        \protect\footnotetext[0]{\kern-\bibindent##1}}}}
\def\authorfont{\bfseries}

%%%
\def\@maketitle{\newpage
\normalfont
%
\vbox to0pt{\if@twocolumn\vskip-39pt\else\vskip-49pt\fi
\nointerlineskip
\makeheadbox\vss}\nointerlineskip
%
\vbox to0pt{\vskip 1.06\textheight \makefootbox\vss}
%
\vbox to 0pt{\offinterlineskip\rubricwidth=\columnwidth
\if@twocolumn\else % one column journal
   \divide\rubricwidth by144\multiply\rubricwidth by89 % perform golden section
   \vskip-\topskip
\fi
\vspace{-9ex}
\hrule\@height0.15mm\vspace{-2.0ex}\noindent
{\footnotesize
publish.csiro.au/journals/pasa \hfill \it
Publications of the Astronomical Society of Australia, \@PubYear, 
{\bf \@JournalNumber}, \@PageNumber }
\advance\fboxsep by.25mm
\global\advance\rubricwidth by0pt
\rubric
\vss}\vskip -5ex    % war 9pt

%
\if@twocolumn\else
 \gdef\footnoterule{%
  \kern-3\p@
  \hrule\@width38mm     % \columnwidth  \rubricwidth
  \kern2.6\p@}
\fi
%
 \setbox\authrun=\vbox\bgroup
     \if@twocolumn
        \hrule\@height10.5mm\@width0\p@
     \else
        \hrule\@height 2mm\@width0\p@
     \fi
     \pretolerance=10000
     \rightskip=0pt plus 4cm
    \nothanksmarks
%   \if!\@headnote!\else
%     \noindent
%     {\LARGE\normalfont\itshape\ignorespaces\@headnote\par}\vskip 3.5mm
%   \fi
    {\LARGE\bfseries
     \noindent\ignorespaces
     \@title \par}\vskip 17pt\relax
    {\authorfont
    \setbox0=\vbox{\setcounter{auth}{1}\def\and{\stepcounter{auth} }%
                   \hfuzz=2\textwidth\def\thanks##1{}\@author}%
    %%\setcounter{footnote}{0}%
    %\global\value{inst}=\value{auth}%
    %\setcounter{auth}{1}%
    \if@twocolumn
       \rightskip43mm plus 4cm minus 3mm
    \else % one column journal
       \rightskip=\linewidth
       \advance\rightskip by-\rubricwidth
       \advance\rightskip by0pt plus 4cm minus 3mm
    \fi
%
\def\and{\unskip\nobreak\enskip{\boldmath$\cdot$}\enskip\ignorespaces}%
    \noindent\ignorespaces\@author\vskip7.23pt}
%
    \small
%    \if!\@dedic!\else
%       \par
%       \normalsize\it
%       \addvspace\baselineskip
%       \noindent\@dedic
%    \fi
 \egroup % end of header box
 \@tempdima=\headerboxheight
 \advance\@tempdima by-\ht\authrun
 \unvbox\authrun
 \ifdim\@tempdima>0pt
    \vrule width0pt height\@tempdima\par
 \fi
 \noindent{\small\@date\if@twocolumn\vskip 7.2mm\else\vskip 5.2mm\fi}
 \global\@minipagetrue
 \global\everypar{\global\@minipagefalse\global\everypar{}}%
%\vskip22.47pt
}

%\renewenvironment{thebibliography}[1]
%     {\section*{\refname
%        \@mkboth{\refname}{\refname}}\small
%      \list{\@biblabel{\@arabic\c@enumiv}}%
%           {\settowidth\labelwidth{\@biblabel{#1}}%
%            \leftmargin\labelwidth
%            \advance\leftmargin\labelsep
%            \@openbib@code
%            \usecounter{enumiv}%
%            \let\p@enumiv\@empty
%            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
%      \sloppy\clubpenalty4000\widowpenalty4000%
%      \sfcode`\.\@m}
%     {\def\@noitemerr
%       {\@latex@warning{Empty `thebibliography' environment}}%
%      \endlist}
%
\def\thebibliography#1{\@startsection{section}{1}{\z@}
{13pt plus 4pt minus 2pt}{6pt plus 3pt}{\large\bf}*{References}
\bgroup\footnotesize
\list{\null}{\leftmargin 1em\labelwidth\z@\itemsep\z@\parsep\z@
\labelsep\z@\itemindent -1em\usecounter{enumi}}
\def\refpar{\relax}
\def\newblock{\hskip .11em plus .33em minus .07em}
\sloppy\clubpenalty4000\widowpenalty4000
\sfcode`\.=1000\relax}
\def\endthebibliography{\endlist\egroup{\small}\normalsize}
\def\@biblabel#1{\relax}
